local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("Spy", "enUS", true)
if not L then return end

-- Addon information
L["Spy"] = "Spy"
L["Version"] = "Version"
L["LoadDescription"] = "|cff9933ffSpy addon loaded. Type |cffffffff/spy|cff9933ff for options."
L["SpyEnabled"] = "|cff9933ffSpy addon enabled."
L["SpyDisabled"] = "|cff9933ffSpy addon disabled. Type |cffffffff/spy enable|cff9933ff to enable."
L["UpgradeAvailable"] = "|cff9933ffA new version of Spy is available. It can be downloaded from:\n|cffffffffhttps://www.curseforge.com/wow/addons/spy"

-- Configuration frame name
L["Spy Option"] = "Spy"

-- Configuration strings
L["Profiles"] = "Profiles"

L["GeneralSettings"] = "General Settings"
L["SpyDescription1"] = [[
Spy is an addon that will alert you to the presence of nearby enemy players.
]]
L["SpyDescription2"] = [[

|cffffd000Nearby list|cffffffff
The Nearby list displays any enemy players that have been detected nearby. Clicking the list allows you to target the player, however this only works out of combat. Players are removed from the list if they have not been detected after a period of time.

The clear button in the title bar can be used to clear the list, and holding Control while clearing the list will allow you to quickly enable/disable Spy.

|cffffd000Last Hour list|cffffffff
The Last Hour list displays all enemies that have been detected in the last hour.

|cffffd000Ignore list|cffffffff
Players that are added to the Ignore list will not be reported by Spy. You can add and remove players to/from this list by using the button's drop down menu or by holding the Control key while clicking the button.

|cffffd000Kill On Sight list|cffffffff
Players on your Kill On Sight list cause an alarm to sound when detected. You can add and remove players to/from this list by using the button's drop down menu or by holding the Shift key while clicking the button.

The drop down menu can also be used to set the reasons why you have added someone to the Kill On Sight list. If you want to enter a specific reason that is not in the list, then use the "Enter your own reason..." in the Other list.


|cffffd000Author: http://www.curse.com/users/slipjack|cffffffff

]]
L["EnableSpy"] = "Enable Spy"
L["EnableSpyDescription"] = "Enables or disables Spy both now and also on login."
L["EnabledInBattlegrounds"] = "Enable Spy in battlegrounds"
L["EnabledInBattlegroundsDescription"] = "Enables or disables Spy when you are in a battleground."
L["EnabledInArenas"] = "Enable Spy in arenas"
L["EnabledInArenasDescription"] = "Enables or disables Spy when you are in an arena."
L["EnabledInWintergrasp"] = "Enable Spy in world combat zones"
L["EnabledInWintergraspDescription"] = "Enables or disables Spy when you are in world combat zones such as Lake Wintergrasp in Northrend."
L["DisableWhenPVPUnflagged"] = "Disable Spy when not flagged for PVP"
L["DisableWhenPVPUnflaggedDescription"] = "Enables or disables Spy depending on your PVP status."

L["DisplayOptions"] = "Display"
L["DisplayOptionsDescription"] = [[
Spy can be shown or hidden automatically.
]]
L["ShowOnDetection"] = "Show Spy when enemy players are detected"
L["ShowOnDetectionDescription"] = "Set this to display the Spy window and the Nearby list if Spy is hidden when enemy players are detected."
L["HideSpy"] = "Hide Spy when no enemy players are detected"
L["HideSpyDescription"] = "Set this to hide Spy when the Nearby list is displayed and it becomes empty. Spy will not be hidden if you clear the list manually."
L["ShowOnlyPvPFlagged"] = "Show only enemy players flagged for PvP"
L["ShowOnlyPvPFlaggedDescription"] = "Set this to show only enemy players that are flagged for PvP in the Nearby list."
L["ShowKoSButton"] = "Show KOS button on the enemy target frame"
L["ShowKoSButtonDescription"] = "Set this to show the KOS button on the enemy player's target frame."
L["LockSpy"] = "Lock the Spy window"
L["LockSpyDescription"] = "Locks the Spy window in place so it doesn't move."
L["InvertSpy"] = "Invert the Spy window"
L["InvertSpyDescription"] = "Flips the Spy window upside down."
L["Reload"] = "Reload UI"
L["ReloadDescription"] = "Required when changing the Spy window."
L["ResizeSpy"] = "Resize the Spy window automatically"
L["ResizeSpyDescription"] = "Set this to automatically resize the Spy window as enemy players are added and removed."
L["ResizeSpyLimit"] = "List Limit"
L["ResizeSpyLimitDescription"] = "Limit the number of enemy players shown in the Spy window."
L["TooltipDisplayWinLoss"] = "Display win/loss statistics in tooltip"
L["TooltipDisplayWinLossDescription"] = "Set this to display the win/loss statistics of a player in the player's tooltip."
L["TooltipDisplayKOSReason"] = "Display Kill On Sight reasons in tooltip"
L["TooltipDisplayKOSReasonDescription"] = "Set this to display the Kill On Sight reasons of a player in the player's tooltip."
L["TooltipDisplayLastSeen"] = "Display last seen details in tooltip"
L["TooltipDisplayLastSeenDescription"] = "Set this to display the last known time and location of a player in the player's tooltip."
L["SelectFont"] = "Select a Font"
L["SelectFontDescription"] = "Select a Font for the Spy Window."
L["RowHeight"] = "Select the Row Height"
L["RowHeightDescription"] = "Select the Row Height for the Spy window."

L["AlertOptions"] = "Alerts"
L["AlertOptionsDescription"] = [[
You can announce the details on an encounter to a chat channel and control how Spy alerts you when enemy players are detected.
]]
L["Announce"] = "Announce to:"
L["None"] = "None"
L["NoneDescription"] = "Do not announce when enemy players are detected."
L["Self"] = "Self"
L["SelfDescription"] = "Announce to yourself when enemy players are detected."
L["Party"] = "Party"
L["PartyDescription"] = "Announce to your party when enemy players are detected."
L["Guild"] = "Guild"
L["GuildDescription"] = "Announce to your guild when enemy players are detected."
L["Raid"] = "Raid"
L["RaidDescription"] = "Announce to your raid when enemy players are detected."
L["LocalDefense"] = "Local Defense"
L["LocalDefenseDescription"] = "Announce to the Local Defense channel when enemy players are detected."
L["OnlyAnnounceKoS"] = "Only announce enemy players that are Kill On Sight"
L["OnlyAnnounceKoSDescription"] = "Set this to only announce enemy players that are on your Kill On Sight list."
L["WarnOnStealth"] = "Warn upon stealth detection"
L["WarnOnStealthDescription"] = "Set this to display a warning and sound an alert when an enemy player gains stealth."
L["WarnOnKOS"] = "Warn upon Kill On Sight detection"
L["WarnOnKOSDescription"] = "Set this to display a warning and sound an alert when an enemy player on your Kill On Sight list is detected."
L["WarnOnKOSGuild"] = "Warn upon Kill On Sight guild detection"
L["WarnOnKOSGuildDescription"] = "Set this to display a warning and sound an alert when an enemy player in the same guild as someone on your Kill On Sight list is detected."
L["WarnOnRace"] = "Warn upon Race detection"
L["WarnOnRaceDescription"] = "Set this to sound an alert when the selected Race is detected."
L["SelectWarnRace"] = "Select Race for detection"
L["SelectWarnRaceDescription"] = "Select a Race for audio alert."
L["WarnRaceNote"] = "Note: You must target the enemy at least once so their Race can be added to the database. Upon the next detection an alert will sound. This does not work the same as detecting nearby enemies in combat."
L["DisplayWarningsInErrorsFrame"] = "Display warnings in the errors frame"
L["DisplayWarningsInErrorsFrameDescription"] = "Set this to use the errors frame to display warnings instead of using the graphical popup frames."
L["EnableSound"] = "Enable audio alerts"
L["EnableSoundDescription"] = "Set this to enable audio alerts when enemy players are detected. Different alerts sound if an enemy player gains stealth or if an enemy player is on your Kill On Sight list."
L["OnlySoundKoS"] = "Only sound audio alerts for the KoS list"
L["OnlySoundKoSDescription"] = "Set this to only play audio alerts when enemy players on the Kill on Sight list are detected."

L["ListOptions"] = "Nearby List"
L["ListOptionsDescription"] = [[
You can configure how Spy adds and removes enemy players to and from the Nearby list.
]]
L["RemoveUndetected"] = "Remove enemy players from the Nearby list after:"
L["1Min"] = "1 minute"
L["1MinDescription"] = "Remove an enemy player who has been undetected for over 1 minute."
L["2Min"] = "2 minutes"
L["2MinDescription"] = "Remove an enemy player who has been undetected for over 2 minutes."
L["5Min"] = "5 minutes"
L["5MinDescription"] = "Remove an enemy player who has been undetected for over 5 minutes."
L["10Min"] = "10 minutes"
L["10MinDescription"] = "Remove an enemy player who has been undetected for over 10 minutes."
L["15Min"] = "15 minutes"
L["15MinDescription"] = "Remove an enemy player who has been undetected for over 15 minutes."
L["Never"] = "Never remove"
L["NeverDescription"] = "Never remove enemy players. The Nearby list can still be cleared manually."
L["ShowNearbyList"] = "Switch to the Nearby list upon enemy player detection"
L["ShowNearbyListDescription"] = "Set this to display the Nearby list if it is not already visible when enemy players are detected."
L["PrioritiseKoS"] = "Prioritise Kill On Sight enemy players in the Nearby list"
L["PrioritiseKoSDescription"] = "Set this to always show Kill On Sight enemy players first in the Nearby list."

L["MinimapOptions"] = "Map"
L["MinimapOptionsDescription"] = [[
For players who can track humanoids the minimap can be utilised to provide additional features.

Players who can track humanoids include hunters, druids, and those who have received the ability through other means such as eating a Blackened Worg Steak.
]]
L["MinimapTracking"] = "Enable minimap tracking"
L["MinimapTrackingDescription"] = "Set this to enable minimap tracking and detection. Known enemy players detected on the minimap will be added to the Nearby list."
L["MinimapDetails"] = "Display level/class details in tooltips"
L["MinimapDetailsDescription"] = "Set this to update the map tooltips so that level/class details are displayed alongside enemy names."
L["DisplayOnMap"] = "Display enemy location on map"
L["DisplayOnMapDescription"] = "Set this to display on the world map and minimap the location of enemies detected by other Spy users in your party, raid and guild."
L["SwitchToZone"] = "Switch to current zone map on enemy detection"
L["SwitchToZoneDescription"] = "If the World Map is open this will change the map to the players current zone map when enemies are detected."
L["MapDisplayLimit"] = "Limit displayed map icons to:"
L["LimitNone"] = "Everywhere"
L["LimitNoneDescription"] = "Displayes all detected enemies on the map regardless of your current location."
L["LimitSameZone"] = "Same zone"
L["LimitSameZoneDescription"] = "Only displays detected enemies on the map if you are in the same zone."
L["LimitSameContinent"] = "Same continent"
L["LimitSameContinentDescription"] = "Only displays detected enemies on the map if you are on the same continent."

L["DataOptions"] = "Data Management"
L["DataOptionsDescription"] = [[
You can configure how Spy maintains and gathers its data.
]]
L["PurgeData"] = "Purge undetected enemy player data after:"
L["OneDay"] = "1 day"
L["OneDayDescription"] = "Purge data for enemy players that have been undetected for 1 day."
L["FiveDays"] = "5 days"
L["FiveDaysDescription"] = "Purge data for enemy players that have been undetected for 5 days."
L["TenDays"] = "10 days"
L["TenDaysDescription"] = "Purge data for enemy players that have been undetected for 10 days."
L["ThirtyDays"] = "30 days"
L["ThirtyDaysDescription"] = "Purge data for enemy players that have been undetected for 30 days."
L["SixtyDays"] = "60 days"
L["SixtyDaysDescription"] = "Purge data for enemy players that have been undetected for 60 days."
L["NinetyDays"] = "90 days"
L["NinetyDaysDescription"] = "Purge data for enemy players that have been undetected for 90 days."
L["PurgeKoS"] = "Purge Kill on Sight players based on undetected time."
L["PurgeKoSDescription"] = "Set this to purge Kill on Sight players that have been undetected based on the time settings for undetected players."
L["PurgeWinLossData"] = "Purge win/loss data based on undetected time."
L["PurgeWinLossDataDescription"] = "Set this to purge win/loss data of your enemy encounters based on the time settings for undetected players."
L["ShareData"] = "Share data with other Spy addon users"
L["ShareDataDescription"] = "Set this to share the details of your enemy player encounters with other Spy users in your party, raid and guild."
L["UseData"] = "Use data from other Spy addon users"
L["UseDataDescription"] = [[Set this to use the data collected by other Spy users in your party, raid and guild.

If another Spy user detects an enemy player then that enemy player will be added to your Nearby list if there is room.
]]
L["ShareKOSBetweenCharacters"] = "Share Kill On Sight players between your characters"
L["ShareKOSBetweenCharactersDescription"] = "Set this to share the players you mark as Kill On Sight between other characters that you play on the same server and faction."

L["SlashCommand"] = "Slash Command"
L["SpySlashDescription"] = "These buttons execute the same functions as the ones in the slash command /spy"
L["Enable"] = "Enable"
L["EnableDescription"] = "Enables Spy and shows the main window."
L["Show"] = "Show"
L["ShowDescription"] = "Shows the main window."
L["Reset"] = "Reset"
L["ResetDescription"] = "Resets the position and appearance of the main window."
L["ClearSlash"] = "Clear"
L["ClearSlashDescription"] = "Clears the list of players that have been detected."
L["Config"] = "Config"
L["ConfigDescription"] = "Open the Interface Addons configuration window for Spy."
L["KOS"] = "KOS"
L["KOSDescription"] = "Add/remove a player to/from the Kill On Sight list."
L["InvalidInput"] = "Invalid Input"
L["Ignore"] = "Ignore"
L["IgnoreDescription"] = "Add/remove a player to/from the Ignore list."

-- Lists
L["Nearby"] = "Nearby"
L["LastHour"] = "Last Hour"
L["Ignore"] = "Ignore"
L["KillOnSight"] = "Kill On Sight"

--Stats
L["Time"] = "Time"	
L["List"] = "List"
L["Filter"] = "Filter"
L["Show Only"] = "Show Only"
L["KOS"] = "KOS"
L["Won/Lost"] = "Won/Lost"
L["Reason"] = "Reason"	 
L["HonorKills"] = "Honor Kills"
L["PvPDeaths"] = "PvP Deaths"

-- Output messages
L["AlertStealthTitle"] = "Stealth player detected!"
L["AlertKOSTitle"] = "Kill On Sight player detected!"
L["AlertKOSGuildTitle"] = "Kill On Sight player guild detected!"
L["AlertTitle_kosaway"] = "Kill On Sight player located by "
L["AlertTitle_kosguildaway"] = "Kill On Sight player guild located by "
L["StealthWarning"] = "|cff9933ffStealth player detected: |cffffffff"
L["KOSWarning"] = "|cffff0000Kill On Sight player detected: |cffffffff"
L["KOSGuildWarning"] = "|cffff0000Kill On Sight player guild detected: |cffffffff"
L["SpySignatureColored"] = "|cff9933ff[Spy] "
L["PlayerDetectedColored"] = "Player detected: |cffffffff"
L["PlayersDetectedColored"] = "Players detected: |cffffffff"
L["KillOnSightDetectedColored"] = "Kill On Sight player detected: |cffffffff"
L["PlayerAddedToIgnoreColored"] = "Added player to Ignore list: |cffffffff"
L["PlayerRemovedFromIgnoreColored"] = "Removed player from Ignore list: |cffffffff"
L["PlayerAddedToKOSColored"] = "Added player to Kill On Sight list: |cffffffff"
L["PlayerRemovedFromKOSColored"] = "Removed player from Kill On Sight list: |cffffffff"
L["PlayerDetected"] = "[Spy] Player detected: "
L["KillOnSightDetected"] = "[Spy] Kill On Sight player detected: "
L["Level"] = "Level"
L["LastSeen"] = "Last seen"
L["LessThanOneMinuteAgo"] = "less than a minute ago"
L["MinutesAgo"] = "minutes ago"
L["HoursAgo"] = "hours ago"
L["DaysAgo"] = "days ago"
L["Close"] = "Close"
L["CloseDescription"] = "|cffffffffHides the Spy window. By default will show again when the next enemy player is detected."
L["Left/Right"] = "Left/Right"
L["Left/RightDescription"] = "|cffffffffNavigates between the Nearby, Last Hour, Ignore and Kill On Sight lists."
L["Clear"] = "Clear"
L["ClearDescription"] = "|cffffffffClears the list of players that have been detected. CTRL click will Enable/Disable Spy while displayed."
L["NearbyCount"] = "Nearby Count"
L["NearbyCountDescription"] = "|cffffffffCount of nearby players."
L["Statistics"] = "Statistics"
L["StatsDescription"] = "|cffffffffShows a list of enemy players encountered, win/loss records and where they were last seen."
L["AddToIgnoreList"] = "Add to Ignore list"
L["AddToKOSList"] = "Add to Kill On Sight list"
L["RemoveFromIgnoreList"] = "Remove from Ignore list"
L["RemoveFromKOSList"] = "Remove from Kill On Sight list"
L["RemoveFromStatsList"] = "Remove from Statistics List"   --++
L["AnnounceDropDownMenu"] = "Announce"
L["KOSReasonDropDownMenu"] = "Set Kill On Sight reason"
L["PartyDropDownMenu"] = "Party"
L["RaidDropDownMenu"] = "Raid"
L["GuildDropDownMenu"] = "Guild"
L["LocalDefenseDropDownMenu"] = "Local Defense"
L["Player"] = " (Player)"
L["KOSReason"] = "Kill On Sight"
L["KOSReasonIndent"] = "    "
L["KOSReasonOther"] = "Enter your own reason..."
L["KOSReasonClear"] = "Clear"
L["StatsWins"] = "|cff40ff00Wins: "
L["StatsSeparator"] = "  "
L["StatsLoses"] = "|cff0070ddLoses: "
L["Located"] = "located:"
L["Yards"] = "yards"

Spy_KOSReasonListLength = 6
Spy_KOSReasonList = {
	[1] = {
		["title"] = "Started combat";
		["content"] = {
			"Attacked me for no reason",
			"Attacked me at a quest giver", 
			"Attacked me while I was fighting NPCs",
			"Attacked me while I was near an instance",
			"Attacked me while I was AFK",
			"Attacked me while I was mounted/flying",
			"Attacked me while I had low health/mana",
		};
	},
	[2] = {
		["title"] = "Style of combat";
		["content"] = {
			"Ambushed me",
			"Always attacks me on sight",
			"Killed me with a higher level character",
			"Steamrolled me with a group of enemies",
			"Doesn't attack without backup",
			"Always calls for help",
			"Uses too much crowd control",
		};
	},
	[3] = {
		["title"] = "Camping";
		["content"] = {
			"Camped me",
			"Camped an alt",
			"Camped lowbies",
			"Camped from stealth",
			"Camped guild members",
			"Camped game NPCs/objectives",
			"Camped a city/site",
		};
	},
	[4] = {
		["title"] = "Questing";
		["content"] = {
			"Attacked me while I was questing",
			"Attacked me after I helped with a quest",
			"Interfered with a quest objective",
			"Started a quest I wanted to do",
			"Killed my faction's NPCs",
			"Killed a quest NPC",
		};
	},
	[5] = {
		["title"] = "Stole resources";
		["content"] = {
			"Gathered herbs I wanted",
			"Gathered minerals I wanted",
			"Gathered resources I wanted",
			"Killed me and stole my target/rare NPC",
			"Skinned my kills",
			"Salvaged my kills",
			"Fished in my pool",
		};
	},
	[6] = {
		["title"] = "Other";
		["content"] = {
			"Flagged for PvP",
			"Pushed me off a cliff",
			"Uses engineering tricks",
			"Always manages to escape",
			"Uses items and skills to escape",
			"Exploits game mechanics",
			"Enter your own reason...",
		};
	},
}

StaticPopupDialogs["Spy_SetKOSReasonOther"] = {
	preferredIndex=STATICPOPUPS_NUMDIALOGS,  -- http://forums.wowace.com/showthread.php?p=320956
	text = "Enter the Kill On Sight reason for %s:",
	button1 = "Set",
	button2 = "Cancel",
	timeout = 120,
	hasEditBox = 1,
	editBoxWidth = 260,	
	whileDead = 1,
	hideOnEscape = 1,
	OnShow = function(self)
		self.editBox:SetText("");
	end,
    	OnAccept = function(self)
		local reason = self.editBox:GetText()
		Spy:SetKOSReason(self.playerName, "Enter your own reason...", reason)
	end,
};

--++ Class descriptions
L["DEATHKNIGHT"] = "Death Knight"
L["DEMONHUNTER"] = "Demon Hunter"
L["DRUID"] = "Druid"
L["HUNTER"] = "Hunter"
L["MAGE"] = "Mage"
L["MONK"] = "Monk"
L["PALADIN"] = "Paladin"
L["PRIEST"] = "Priest"
L["ROGUE"] = "Rogue"
L["SHAMAN"] = "Shaman"
L["WARLOCK"] = "Warlock"
L["WARRIOR"] = "Warrior"
L["UNKNOWN"] = "Unknown"

--++ Race descriptions
L["HUMAN"] = "Human"
L["ORC"] = "Orc"
L["DWARF"] = "Dwarf"
L["NIGHT ELF"] = "Night Elf"
L["UNDEAD"] = "Undead"
L["TAUREN"] = "Tauren"
L["GNOME"] = "Gnome"
L["TROLL"] = "Troll"
L["GOBLIN"] = "Goblin"
L["BLOOD ELF"] = "Blood Elf"
L["DRAENEI"] = "Draenei"
L["WORGEN"] = "Worgen"
L["PANDAREN"] = "Pandaren"
L["NIGHTBORNE"] = "Nightborne"
L["HIGHMOUNTAIN TAUREN"] = "Highmountain Tauren"
L["VOID ELF"] = "Void Elf"
L["LIGHTFORGED DRAENEI"] = "Lightforged Draenei"
L["ZANDALARI TROLL"] = "Zandalari Troll"
L["KUL TIRAN"] = "Kul Tiran"
L["DARK IRON DWARF"] = "Dark Iron Dwarf"
L["MAG'HAR ORC"] = "Mag'har Orc"

--++ Font descriptions
L["2002"] = "2002"
L["2002 BOLD"] = "2002 Bold"
L["ARIAL NARROW"] = "Arial Narrow" -- default chat font
L["FRIZ QUADRATA TT"] = "Friz Quadrata TT" -- default main UI font
L["FRIZQUADRATACTT"] = "FrizQuadrataCTT"
L["MOK"] = "MoK"
L["MORPHEUS"] = "Morpheus" -- default in game mail font
L["NIMROD MT"] = "Nimrod MT"
L["SKURRI"] = "Skurri" -- default unit frame combat font
						
-- Stealth abilities
L["Stealth"] = "Stealth"
L["Prowl"] = "Prowl"

-- Channel names
L["LocalDefenseChannelName"] = "LocalDefense"

--++ Minimap color codes
L["MinimapClassTextDEATHKNIGHT"] = "|cffc41e3a"
L["MinimapClassTextDEMONHUNTER"] = "|cffa330c9"
L["MinimapClassTextDRUID"] = "|cffff7c0a"
L["MinimapClassTextHUNTER"] = "|cffaad372"
L["MinimapClassTextMAGE"] = "|cff68ccef"
L["MinimapClassTextMONK"] = "|cff00ff96"
L["MinimapClassTextPALADIN"] = "|cfff48cba"
L["MinimapClassTextPRIEST"] = "|cffffffff"
L["MinimapClassTextROGUE"] = "|cfffff468"
L["MinimapClassTextSHAMAN"] = "|cff2359ff"
L["MinimapClassTextWARLOCK"] = "|cff9382c9"
L["MinimapClassTextWARRIOR"] = "|cffc69b6d"
L["MinimapClassTextUNKNOWN"] = "|cff191919"
L["MinimapGuildText"] = "|cffffffff"

--[[Spy_AbilityList = {

-----------------------------------------------------------
-- Allows an estimation of the race, class and level of a
-- player to be determined from what abilities are observed
-- in the combat log.
-----------------------------------------------------------

--++ Racials ++
	["Stoneform"] = 			{ race = "Dwarf", level = 1, },
	["Escape Artist"] = 		{ race = "Gnome", level = 1, },
	["Every Man for Himself"] = { race = "Human", level = 1, },
	["Shadowmeld"] = 			{ race = "Night Elf", level = 1, },
	["Gift of the Naaru"] = 	{ race = "Draenei", level = 1, },
	["Darkflight"] = 			{ race = "Worgen", level = 1, },
	["Two Forms"] = 			{ race = "Worgen", level = 1, },
	["Running Wild"] = 			{ race = "Worgen", level = 1, },
	["Blood Fury"] = 			{ race = "Orc", level = 1, },
	["War Stomp"] = 			{ race = "Tauren", level = 1, },
	["Berserking"] = 			{ race = "Troll", level = 1, },
	["Will of the Forsaken"] = 	{ race = "Undead", level = 1, },
	["Cannibalize"] = 			{ race = "Undead", level = 1, },
	["Arcane Torrent"] = 		{ race = "Blood Elf", level = 1, },
	["Rocket Jump"] = 			{ race = "Goblin", level = 1, },
	["Rocket Barrage"] = 		{ race = "Goblin", level = 1, },
	["Pack Hobgoblin"] = 		{ race = "Goblin", level = 1, },
	["Quaking Palm"] =			{ race = "Pandaren", level = 1, },

--++ Death Knight Abilities ++	
--	["Frost Breath"] = { class = "DEATHKNIGHT", level = 1, }, 
	["Val'kyr"] = { class = "DEATHKNIGHT", level = 1, }, 
--	["Parry"] = { class = "DEATHKNIGHT", level = 1, }, 
	["Corpse Exploder"] = { class = "DEATHKNIGHT", level = 40, }, 
	["Blood Plague"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Death Gate"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Death Grip"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Death Strike"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Death's Advance"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Rune of Razorice"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Runeforging"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Anti-Magic Shell"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Dark Command"] = { class = "DEATHKNIGHT", level = 58, }, 
	["On a Pale Horse"] = { class = "DEATHKNIGHT", level = 61, }, 
	["Mind Freeze"] = { class = "DEATHKNIGHT", level = 62, }, 
	["Path of Frost"] = { class = "DEATHKNIGHT", level = 66, }, 
	["Control Undead"] = { class = "DEATHKNIGHT", level = 69, }, 
	["Rune of the Fallen Crusader"] = { class = "DEATHKNIGHT", level = 70, }, 
	["Raise Ally"] = { class = "DEATHKNIGHT", level = 72, }, 
	["Rune of the Stoneskin Gargoyle"] = { class = "DEATHKNIGHT", level = 72, }, 
--++ Death Knight Artifact Traits ++	
	["Apocalypse"] = { class = "DEATHKNIGHT", level = 100, }, 
	["Consumption"] = { class = "DEATHKNIGHT", level = 100, }, 
	["Sindragosa's Fury"] = { class = "DEATHKNIGHT", level = 100, }, 	
--++ Death Knight Azerite Traits ++	
	["Bone Spike Graveyard"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Bones of the Damned"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Cankerous Wounds"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Decimate"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Deep Cuts"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Echoing Howl"] = { class = "DEATHKNIGHT", level = 110, }, 
--	["Embrace of the Darkfallen"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Eternal Rune Weapon"] = { class = "DEATHKNIGHT", level = 110, }, 
--	["Festering Doom"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Festermight"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Frozen Tempest"] = { class = "DEATHKNIGHT", level = 110, }, 
--	["Glacial Contagion"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Harrowing Decay"] = { class = "DEATHKNIGHT", level = 110, }, 
--	["Horrid Experimentation"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Icy Citadel"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Killer Frost"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Last Surprise"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Latent Chill"] = { class = "DEATHKNIGHT", level = 110, }, 
	["March of the Damned"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Marrowblood"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Runic Barrier"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Scourge the Unbeliever"] = { class = "DEATHKNIGHT", level = 110, }, 
	["Bloody Runeblade"] = { class = "DEATHKNIGHT", level = 110, }, --8.1
	["Cold Hearted"] = { class = "DEATHKNIGHT", level = 110, },  --8.1
	["Froswhelp's Indignation"] = { class = "DEATHKNIGHT", level = 110, }, --8.1
	["Helchains"] = { class = "DEATHKNIGHT", level = 110, }, --8.1
	["Magus of the Dead"] = { class = "DEATHKNIGHT", level = 110, }, --8.1	
--++ Death Knight Specializations ++	
	["Runic Empowerment"] = { class = "DEATHKNIGHT", level = 1, }, 
	["Festering Wound"] = { class = "DEATHKNIGHT", level = 1, }, 
	["Heart Strike"] = { class = "DEATHKNIGHT", level = 1, }, 
	["Runic Corruption"] = { class = "DEATHKNIGHT", level = 1, }, 
	["Death Coil"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Festering Strike"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Frost Fever"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Frost Strike"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Howling Blast"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Marrowrend"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Obliterate"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Outbreak"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Raise Dead"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Scourge Strike"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Veteran of the Third War"] = { class = "DEATHKNIGHT", level = 55, }, 
	["Blood Boil"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Chains of Ice"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Death and Decay"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Killing Machine"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Dancing Rune Weapon"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Empower Rune Weapon"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Icebound Fortitude"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Pillar of Frost"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Remorseless Winter"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Dark Succor"] = { class = "DEATHKNIGHT", level = 58, }, 
	["Death's Caress"] = { class = "DEATHKNIGHT", level = 58, }, 
	["Rime"] = { class = "DEATHKNIGHT", level = 59, }, 
	["Sudden Doom"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Vampiric Blood"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Crimson Scourge"] = { class = "DEATHKNIGHT", level = 63, }, 
	["Gorefiend's Grasp"] = { class = "DEATHKNIGHT", level = 64, }, 
	["Dark Transformation"] = { class = "DEATHKNIGHT", level = 74, }, 
	["Apocalypse"] = { class = "DEATHKNIGHT", level = 75, }, 
	["Mastery: Blood Shield"] = { class = "DEATHKNIGHT", level = 78, }, 
	["Mastery: Dreadblade"] = { class = "DEATHKNIGHT", level = 78, }, 
	["Mastery: Frozen Heart"] = { class = "DEATHKNIGHT", level = 78, }, 
	["Army of the Dead"] = { class = "DEATHKNIGHT", level = 82, }, 
--++ Death Knight Talents ++	
	["All Will Serve"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Blooddrinker"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Clawing Shadows"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Cold Heart"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Heartbreaker"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Icy Talons"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Inexorable Assault"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Infected Claws"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Rune Strike"] = { class = "DEATHKNIGHT", level = 56, }, 
	["Bursting Sores"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Consumption"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Ebon Fever"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Hemostasis"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Horn of Winter"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Murderous Efficiency"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Rapid Decomposition"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Runic Attenuation"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Unholy Blight"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Asphyxiate"] = { class = "DEATHKNIGHT", level = 58, }, 
	["Blinding Sleet"] = { class = "DEATHKNIGHT", level = 58, }, 
	["Death's Reach"] = { class = "DEATHKNIGHT", level = 58, }, 
	["Foul Bulwark"] = { class = "DEATHKNIGHT", level = 58, }, 
	["Ossuary"] = { class = "DEATHKNIGHT", level = 58, }, 
	["Tombstone"] = { class = "DEATHKNIGHT", level = 58, }, 
	["Anti-Magic Barrier"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Avalanche"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Frostscythe"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Frozen Pulse"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Harbinger of Doom"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Pestilent Pustules"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Rune Tap"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Soul Reaper"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Will of the Necropolis"] = { class = "DEATHKNIGHT", level = 60, }, 
	["Death Pact"] = { class = "DEATHKNIGHT", level = 75, }, 
	["Grip of the Dead"] = { class = "DEATHKNIGHT", level = 75, }, 
	["Permafrost"] = { class = "DEATHKNIGHT", level = 75, }, 
	["Spell Eater"] = { class = "DEATHKNIGHT", level = 75, }, 
	["Tightening Grasp"] = { class = "DEATHKNIGHT", level = 75, }, 
	["Wraith Walk"] = { class = "DEATHKNIGHT", level = 75, }, 
	["Bloodworms"] = { class = "DEATHKNIGHT", level = 90, }, 
	["Defile"] = { class = "DEATHKNIGHT", level = 90, }, 
	["Epidemic"] = { class = "DEATHKNIGHT", level = 90, }, 
	["Frostwyrm's Fury"] = { class = "DEATHKNIGHT", level = 90, }, 
--	["Gathering Storm"] = { class = "DEATHKNIGHT", level = 90, },   --8.1
	["Glacial Advance"] = { class = "DEATHKNIGHT", level = 90, }, 
	["Mark of Blood"] = { class = "DEATHKNIGHT", level = 90, }, 
	["Pestilence"] = { class = "DEATHKNIGHT", level = 90, }, 
	["Voracious"] = { class = "DEATHKNIGHT", level = 90, }, 
	["Army of the Damned"] = { class = "DEATHKNIGHT", level = 100, }, 
	["Bonestorm"] = { class = "DEATHKNIGHT", level = 100, }, 
	["Breath of Sindragosa"] = { class = "DEATHKNIGHT", level = 100, }, 
	["Icecap"] = { class = "DEATHKNIGHT", level = 100, }, 
	["Obliteration"] = { class = "DEATHKNIGHT", level = 100, }, 
	["Purgatory"] = { class = "DEATHKNIGHT", level = 100, }, 
	["Red Thirst"] = { class = "DEATHKNIGHT", level = 100, }, 
	["Summon Gargoyle"] = { class = "DEATHKNIGHT", level = 100, }, 
	["Unholy Frenzy"] = { class = "DEATHKNIGHT", level = 100, }, 
--++ Death Knight PvP Talents ++	
	["Anti-Magic Zone"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Blood for Blood"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Crypt Fever"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Dead of Winter"] = { class = "DEATHKNIGHT", level = 57, }, 	-- 8.1	
	["Deathchill"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Delirium"] = { class = "DEATHKNIGHT", level = 57, }, 
--	["Frozen Center"] = { class = "DEATHKNIGHT", level = 57, },  --8.1
	["Ghoulish Monstrosity"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Last Dance"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Lichborne"] = { class = "DEATHKNIGHT", level = 57, }, 	--8.1
	["Life and Death"] = { class = "DEATHKNIGHT", level = 57, }, 	--8.1	
	["Murderous Intent"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Overpowered Rune Weapon"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Pandemic"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Reanimation"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Tundra Stalker"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Unholy Command"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Unholy Mutation"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Walking Dead"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Wandering Plague"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Death Chain"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Chill Streak"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Strangulate"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Cadaverous Pallor"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Decomposing Aura"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Heartstop Aura"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Necrotic Aura"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Necrotic Strike"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Dark Simulacrum"] = { class = "DEATHKNIGHT", level = 57, }, 
	["Necromaner's Bargan"] = { class = "DEATHKNIGHT", level = 57, }, 	--8.1
	["Raise Abomination"] = { class = "DEATHKNIGHT", level = 57, },  --8.1
	["Transfusion"] = { class = "DEATHKNIGHT", level = 57, },  --8.1
--++ Demon Hunter Abilities ++	
	["Disrupt"] = { class = "DEMONHUNTER", level = 1, }, 
	["Chaos Strike"] = { class = "DEMONHUNTER", level = 98, }, 
	["Double Jump"] = { class = "DEMONHUNTER", level = 98, }, 
	["Eye Beam"] = { class = "DEMONHUNTER", level = 98, }, 
	["Fel Rush"] = { class = "DEMONHUNTER", level = 98, }, 
	["Glide"] = { class = "DEMONHUNTER", level = 98, }, 
	["Spectral Sight"] = { class = "DEMONHUNTER", level = 98, }, 
	["Throw Glaive"] = { class = "DEMONHUNTER", level = 98, }, 
	["Metamorphosis"] = { class = "DEMONHUNTER", level = 99, }, 
	["Blade Dance"] = { class = "DEMONHUNTER", level = 100, }, 
	["Blur"] = { class = "DEMONHUNTER", level = 100, }, 
	["Chaos Nova"] = { class = "DEMONHUNTER", level = 100, }, 
	["Imprison"] = { class = "DEMONHUNTER", level = 100, }, 
	["Soul Carver"] = { class = "DEMONHUNTER", level = 100, }, 
	["Vengeful Retreat"] = { class = "DEMONHUNTER", level = 100, }, 
	["Consume Magic"] = { class = "DEMONHUNTER", level = 103, }, 
--++ Demon Hunter Artifact Traits ++
	["Fury of the Illidari"] = { class = "DEMONHUNTER", level = 100, }, 
	["Soul Carver"] = { class = "DEMONHUNTER", level = 100, }, 
--++ Demon Hunter Azerite Traits ++	
	["Cycle of Binding"] = { class = "DEMONHUNTER", level = 110, }, 
	["Essence Sever"] = { class = "DEMONHUNTER", level = 110, }, 
	["Eyes of Rage"] = { class = "DEMONHUNTER", level = 110, }, 
	["Furious Gaze"] = { class = "DEMONHUNTER", level = 110, }, 
--	["Gaping Maw"] = { class = "DEMONHUNTER", level = 110, }, 
	["Infernal Armor"] = { class = "DEMONHUNTER", level = 110, }, 
	["Revel in Pain"] = { class = "DEMONHUNTER", level = 110, }, 
	["Revolving Blades"] = { class = "DEMONHUNTER", level = 110, }, 
	["Rigid Carapace"] = { class = "DEMONHUNTER", level = 110, }, 
	["Seething Power"] = { class = "DEMONHUNTER", level = 110, }, 
	["Soulmonger"] = { class = "DEMONHUNTER", level = 110, }, 
	["Thirsting Blades"] = { class = "DEMONHUNTER", level = 110, }, 
--	["Unbound Chaos"] = { class = "DEMONHUNTER", level = 110, }, 
	["Chaotic Transfromation"] = { class = "DEMONHUNTER", level = 110, },  -- 8.1
	["Hour of Reaping"] = { class = "DEMONHUNTER", level = 110, },  -- 8.1
	["Thrive in Chaos"] = { class = "DEMONHUNTER", level = 110, },  -- 8.1	
--++ Demon Hunter Specializations ++	
	["Demon Spikes"] = { class = "DEMONHUNTER", level = 1, }, 
	["Demonic Wards"] = { class = "DEMONHUNTER", level = 1, }, 
	["Fiery Brand"] = { class = "DEMONHUNTER", level = 1, }, 
	["Mastery: Fel Blood"] = { class = "DEMONHUNTER", level = 1, }, 
	["Shear"] = { class = "DEMONHUNTER", level = 1, }, 
	["Sigil of Flame"] = { class = "DEMONHUNTER", level = 1, }, 
	["Soul Cleave"] = { class = "DEMONHUNTER", level = 1, }, 
	["Demon's Bite"] = { class = "DEMONHUNTER", level = 98, }, 
	["Mastery: Demonic Presence"] = { class = "DEMONHUNTER", level = 98, }, 
	["Shattered Souls"] = { class = "DEMONHUNTER", level = 98, }, 
	["Chaos Brand"] = { class = "DEMONHUNTER", level = 100, }, 
	["Darkness"] = { class = "DEMONHUNTER", level = 100, }, 
	["Infernal Strike"] = { class = "DEMONHUNTER", level = 100, }, 
	["Sigil of Silence"] = { class = "DEMONHUNTER", level = 101, }, 
	["Sigil of Misery"] = { class = "DEMONHUNTER", level = 105, }, 
	["Torment"] = { class = "DEMONHUNTER", level = 110, }, 
--++ Demon Hunter Talents ++	
	["Abyssal Strike"] = { class = "DEMONHUNTER", level = 99, }, 
	["Agonizing Flames"] = { class = "DEMONHUNTER", level = 99, }, 
	["Blind Fury"] = { class = "DEMONHUNTER", level = 99, }, 
	["Demonic Appetite"] = { class = "DEMONHUNTER", level = 99, }, 
	["Felblade"] = { class = "DEMONHUNTER", level = 99, }, 
	["Razor Spikes"] = { class = "DEMONHUNTER", level = 99, }, 
	["Burning Alive"] = { class = "DEMONHUNTER", level = 100, }, 
	["Demon Blades"] = { class = "DEMONHUNTER", level = 100, }, 
	["Fallout"] = { class = "DEMONHUNTER", level = 100, }, 
	["Feast of Souls"] = { class = "DEMONHUNTER", level = 100, }, 
	["Immolation Aura"] = { class = "DEMONHUNTER", level = 100, }, 
	["Insatiable Hunger"] = { class = "DEMONHUNTER", level = 100, }, 
	["Charred Flesh"] = { class = "DEMONHUNTER", level = 102, }, 
	["Fel Barrage"] = { class = "DEMONHUNTER", level = 102, }, 
	["Fel Mastery"] = { class = "DEMONHUNTER", level = 102, }, 
	["Flame Crash"] = { class = "DEMONHUNTER", level = 102, }, 
	["Trail of Ruin"] = { class = "DEMONHUNTER", level = 102, }, 
	["Desperate Instincts"] = { class = "DEMONHUNTER", level = 104, }, 
	["Feed the Demon"] = { class = "DEMONHUNTER", level = 104, }, 
	["Fracture"] = { class = "DEMONHUNTER", level = 104, }, 
	["Netherwalk"] = { class = "DEMONHUNTER", level = 104, }, 
	["Soul Rending"] = { class = "DEMONHUNTER", level = 104, }, 
	["Concentrated Sigils"] = { class = "DEMONHUNTER", level = 106, }, 
	["Cycle of Hatred"] = { class = "DEMONHUNTER", level = 106, }, 
	["Dark Slash"] = { class = "DEMONHUNTER", level = 106, }, 
	["First Blood"] = { class = "DEMONHUNTER", level = 106, }, 
	["Quickened Sigils"] = { class = "DEMONHUNTER", level = 106, }, 
	["Sigil of Chains"] = { class = "DEMONHUNTER", level = 106, }, 
	["Fel Devastation"] = { class = "DEMONHUNTER", level = 108, }, 
	["Fel Eruption"] = { class = "DEMONHUNTER", level = 108, }, 
	["Gluttony"] = { class = "DEMONHUNTER", level = 108, }, 
	["Master of the Glaive"] = { class = "DEMONHUNTER", level = 108, }, 
	["Spirit Bomb"] = { class = "DEMONHUNTER", level = 108, }, 
	["Unleashed Power"] = { class = "DEMONHUNTER", level = 108, }, 
	["Demonic"] = { class = "DEMONHUNTER", level = 110, }, 
	["Last Resort"] = { class = "DEMONHUNTER", level = 110, }, 
	["Momentum"] = { class = "DEMONHUNTER", level = 110, }, 
	["Nemesis"] = { class = "DEMONHUNTER", level = 110, }, 
	["Soul Barrier"] = { class = "DEMONHUNTER", level = 110, }, 
	["Void Reaver"] = { class = "DEMONHUNTER", level = 110, }, 
--++ Demon Hunter PvP Talents ++	
	["Cleansed by Flame"] = { class = "DEMONHUNTER", level = 101, }, 
	["Cover of Darkness"] = { class = "DEMONHUNTER", level = 101, }, 
	["Demonic Origins"] = { class = "DEMONHUNTER", level = 101, }, 
	["Demonic Trample"] = { class = "DEMONHUNTER", level = 101, }, 
	["Detainment"] = { class = "DEMONHUNTER", level = 101, }, 
	["Everlasting Hunt"] = { class = "DEMONHUNTER", level = 101, }, 
	["Glimpse"] = { class = "DEMONHUNTER", level = 101, }, 
	["Illidan's Grasp"] = { class = "DEMONHUNTER", level = 101, }, 
	["Jagged Spikes"] = { class = "DEMONHUNTER", level = 101, }, 
	["Mana Break"] = { class = "DEMONHUNTER", level = 101, }, 
	["Mana Rift"] = { class = "DEMONHUNTER", level = 101, }, 
	["Rain from Above"] = { class = "DEMONHUNTER", level = 101, }, 
	["Reverse Magic"] = { class = "DEMONHUNTER", level = 101, }, 
	["Sigil Mastery"] = { class = "DEMONHUNTER", level = 101, }, 
	["Solitude"] = { class = "DEMONHUNTER", level = 101, }, 
	["Tormentor"] = { class = "DEMONHUNTER", level = 101, }, 
	["Unending Hatred"] = { class = "DEMONHUNTER", level = 101, }, 
	["Eye of Leotheras"] = { class = "DEMONHUNTER", level = 101, }, 
--++ Druid Abilities ++	
	["Archdruid's Lunarwing Form"] = { class = "DRUID", level = 1, }, 
	["Rage of the Sleeper"] = { class = "DRUID", level = 1, }, 
	["Moonfire"] = { class = "DRUID", level = 3, }, 
	["Regrowth"] = { class = "DRUID", level = 5, }, 
	["Feline Grace"] = { class = "DRUID", level = 6, }, 
	["Cat Form"] = { class = "DRUID", level = 8, }, 
--	["Dash"] = { class = "DRUID", level = 8, }, 
	["Shred"] = { class = "DRUID", level = 8, }, 
	["Clearcasting"] = { class = "DRUID", level = 10, }, 
	["Enraged Maul"] = { class = "DRUID", level = 10, }, 
	["Mangle"] = { class = "DRUID", level = 10, }, 
	["Thrash"] = { class = "DRUID", level = 12, }, 
--	["Growl"] = { class = "DRUID", level = 13, }, 
	["Dreamwalk"] = { class = "DRUID", level = 14, }, 
	["Revive"] = { class = "DRUID", level = 14, }, 
	["Teleport: Moonglade"] = { class = "DRUID", level = 14, }, 
	["Sunfire"] = { class = "DRUID", level = 16, }, 
	["Aquatic Form"] = { class = "DRUID", level = 18, }, 
	["Travel Form"] = { class = "DRUID", level = 18, }, 
	["Entangling Roots"] = { class = "DRUID", level = 24, }, 
	["Charm Woodland Creature"] = { class = "DRUID", level = 40, }, 
	["Flap"] = { class = "DRUID", level = 40, }, 
	["Stag Form"] = { class = "DRUID", level = 40, }, 
	["Rebirth"] = { class = "DRUID", level = 42, }, 
	["Flight Form"] = { class = "DRUID", level = 58, }, 
	["Hibernate"] = { class = "DRUID", level = 66, }, 
--++ Druid Artifact Traits ++
	["Ashamane's Frenzy"] = { class = "DRUID", level = 100, }, 	
	["Essence of G'Hanir"] = { class = "DRUID", level = 100, }, 	
	["New Moon"] = { class = "DRUID", level = 100, }, 
	["Rage of the Sleeper"] = { class = "DRUID", level = 100, }, 	
--++ Druid Azerite Traits ++	
	["Autumn Leaves"] = { class = "DRUID", level = 110, }, 
	["Blood Mist"] = { class = "DRUID", level = 110, }, 
--	["Craggy Bark"] = { class = "DRUID", level = 110, },  --8.1
	["Dawning Sun"] = { class = "DRUID", level = 110, }, 
--	["Fungal Essence"] = { class = "DRUID", level = 110, },  --8.1
	["Gory Regeneration"] = { class = "DRUID", level = 110, }, 
	["Grove Tending"] = { class = "DRUID", level = 110, }, 
	["Guardian's Wrath"] = { class = "DRUID", level = 110, }, 
	["Gushing Lacerations"] = { class = "DRUID", level = 110, }, 
	["High Noon"] = { class = "DRUID", level = 110, }, 
	["Iron Jaws"] = { class = "DRUID", level = 110, }, 
	["Layered Mane"] = { class = "DRUID", level = 110, }, 
	["Lively Spirit"] = { class = "DRUID", level = 110, }, 
	["Long Night"] = { class = "DRUID", level = 110, }, 
	["Lunar Empowerment"] = { class = "DRUID", level = 110, }, 
	["Lunar Shrapnel"] = { class = "DRUID", level = 110, }, 
	["Masterful Instincts"] = { class = "DRUID", level = 110, }, 
	["Power of the Moon"] = { class = "DRUID", level = 110, }, 
--	["Raking Ferocity"] = { class = "DRUID", level = 110, },  --8.1
	["Rampant Growth"] = { class = "DRUID", level = 110, }, 
	["Rejuvenating Breath"] = { class = "DRUID", level = 110, }, 
--	["Scent of Blood"] = { class = "DRUID", level = 111, }, 
--	["Shredding Fury"] = { class = "DRUID", level = 112, },  --8.1
	["Streaking Stars"] = { class = "DRUID", level = 110, }, 
--	["Sunblaze"] = { class = "DRUID", level = 110, },  -- 8.1
	["Twisted Claws"] = { class = "DRUID", level = 110, }, 
	["Ursoc's Endurance"] = { class = "DRUID", level = 110, }, 
	["Waking Dream"] = { class = "DRUID", level = 110, }, 
	["Wild Fleshrending"] = { class = "DRUID", level = 110, }, 
	["Arcanic Pulsar"] = { class = "DRUID", level = 110, },  -- 8.1	
	["Burst of Savagery"] = { class = "DRUID", level = 110, },  -- 8.1	
	["Early Harvest"] = { class = "DRUID", level = 110, },  -- 8.1
	["Jungle Fury"] = { class = "DRUID", level = 112, },  --8.1	
	["Switch Hitter"] = { class = "DRUID", level = 112, },  --8.1	
	["Untamed Ferocity"] = { class = "DRUID", level = 110, },  --8.1	
--++ Druid Specializations ++	
	["Shapeshift Form"] = { class = "DRUID", level = 1, }, 
	["Solar Wrath"] = { class = "DRUID", level = 1, }, 
	["Astral Power"] = { class = "DRUID", level = 10, }, 
	["Maul"] = { class = "DRUID", level = 10, }, 
	["Rejuvenation"] = { class = "DRUID", level = 10, }, 
	["Starsurge"] = { class = "DRUID", level = 10, }, 
	["Empowerments"] = { class = "DRUID", level = 12, }, 
	["Lunar Strike"] = { class = "DRUID", level = 12, }, 
	["Rake"] = { class = "DRUID", level = 12, }, 
	["Swiftmend"] = { class = "DRUID", level = 12, }, 
	["Tiger's Fury"] = { class = "DRUID", level = 13, }, 
	["Moonkin Form"] = { class = "DRUID", level = 16, }, 
--	["Prowl"] = { class = "DRUID", level = 16, }, 
	["Ironfur"] = { class = "DRUID", level = 20, }, 
	["Lifebloom"] = { class = "DRUID", level = 20, }, 
	["Rip"] = { class = "DRUID", level = 20, }, 
	["Nature's Cure"] = { class = "DRUID", level = 22, }, 
	["Remove Corruption"] = { class = "DRUID", level = 22, }, 
	["Barkskin"] = { class = "DRUID", level = 26, }, 
	["Incapacitating Roar"] = { class = "DRUID", level = 28, }, 
	["Swipe"] = { class = "DRUID", level = 32, }, 
	["Astral Influence"] = { class = "DRUID", level = 34, }, 
	["Feline Swiftness"] = { class = "DRUID", level = 34, }, 
--	["Thick Hide"] = { class = "DRUID", level = 34, }, 
	["Ysera's Gift"] = { class = "DRUID", level = 34, }, 
	["Survival Instincts"] = { class = "DRUID", level = 36, }, 
	["Berserk"] = { class = "DRUID", level = 40, }, 
	["Frenzied Regeneration"] = { class = "DRUID", level = 40, }, 
	["Starfall"] = { class = "DRUID", level = 40, }, 
	["Wild Growth"] = { class = "DRUID", level = 40, }, 
	["Celestial Alignment"] = { class = "DRUID", level = 48, }, 
--	["Gore"] = { class = "DRUID", level = 48, }, 
	["Omen of Clarity"] = { class = "DRUID", level = 48, }, 
	["Innervate"] = { class = "DRUID", level = 50, }, 
	["Stampeding Roar"] = { class = "DRUID", level = 50, },  -- 8.1 
	["Bear Form"] = { class = "DRUID", level = 52, }, 
	["Infected Wounds"] = { class = "DRUID", level = 54, }, 
	["Ironbark"] = { class = "DRUID", level = 54, }, 
	["Eclipse"] = { class = "DRUID", level = 60, }, 
	["Soothe"] = { class = "DRUID", level = 60, }, 
	["Maim"] = { class = "DRUID", level = 63, }, 
	["Ursol's Vortex"] = { class = "DRUID", level = 63, }, 
	["Lightning Reflexes"] = { class = "DRUID", level = 65, }, 
	["Revitalize"] = { class = "DRUID", level = 66, }, 
	["Efflorescence"] = { class = "DRUID", level = 70, }, 
	["Skull Bash"] = { class = "DRUID", level = 70, }, 
	["Mastery: Harmony"] = { class = "DRUID", level = 78, }, 
	["Mastery: Nature's Guardian"] = { class = "DRUID", level = 78, }, 
	["Mastery: Razor Claws"] = { class = "DRUID", level = 78, }, 
	["Mastery: Starlight"] = { class = "DRUID", level = 78, }, 
	["Predatory Swiftness"] = { class = "DRUID", level = 80, }, 
	["Solar Beam"] = { class = "DRUID", level = 80, }, 
	["Tranquility"] = { class = "DRUID", level = 80, }, 
--++ Druid Talents ++	
	["Abundance"] = { class = "DRUID", level = 15, }, 
	["Blood Frenzy"] = { class = "DRUID", level = 15, }, 
	["Blood Scent"] = { class = "DRUID", level = 15, }, 
	["Brambles"] = { class = "DRUID", level = 15, }, 
	["Bristling Fur"] = { class = "DRUID", level = 15, }, 
	["Cenarion Ward"] = { class = "DRUID", level = 15, }, 
	["Force of Nature"] = { class = "DRUID", level = 15, }, 
	["Lunar Inspiration"] = { class = "DRUID", level = 15, }, 
	["Nature's Balance"] = { class = "DRUID", level = 15, }, 
	["Predator"] = { class = "DRUID", level = 15, }, 
	["Prosperity"] = { class = "DRUID", level = 15, }, 
	["Warrior of Elune"] = { class = "DRUID", level = 15, }, 
	["Intimidating Roar"] = { class = "DRUID", level = 30, }, 
	["Renewal"] = { class = "DRUID", level = 30, }, 
	["Tiger Dash"] = { class = "DRUID", level = 30, }, 
	["Wild Charge"] = { class = "DRUID", level = 30, }, 
	["Balance Affinity"] = { class = "DRUID", level = 45, }, 
	["Feral Affinity"] = { class = "DRUID", level = 45, }, 
	["Guardian Affinity"] = { class = "DRUID", level = 45, }, 
	["Restoration Affinity"] = { class = "DRUID", level = 45, }, 
	["Mass Entanglement"] = { class = "DRUID", level = 60, }, 
	["Mighty Bash"] = { class = "DRUID", level = 60, }, 
	["Typhoon"] = { class = "DRUID", level = 60, }, 
	["Cultivation"] = { class = "DRUID", level = 75, }, 
	["Galactic Guardian"] = { class = "DRUID", level = 75, }, 
	["Incarnation: Chosen of Elune"] = { class = "DRUID", level = 75, }, 
	["Incarnation: Guardian of Ursoc"] = { class = "DRUID", level = 75, }, 
	["Incarnation: King of the Jungle"] = { class = "DRUID", level = 75, }, 
	["Incarnation: Tree of Life"] = { class = "DRUID", level = 75, }, 
	["Jagged Wounds"] = { class = "DRUID", level = 75, }, 
	["Soul of the Forest"] = { class = "DRUID", level = 75, }, 
	["Starlord"] = { class = "DRUID", level = 75, }, 
	["Brutal Slash"] = { class = "DRUID", level = 90, }, 
	["Earthwarden"] = { class = "DRUID", level = 90, }, 
	["Guardian of Elune"] = { class = "DRUID", level = 90, }, 
	["Inner Peace"] = { class = "DRUID", level = 90, }, 
	["Sabertooth"] = { class = "DRUID", level = 90, }, 
	["Savage Roar"] = { class = "DRUID", level = 90, }, 
	["Scent of Blood"] = { class = "DRUID", level = 90, }, 	-- 8.1
	["Spring Blossoms"] = { class = "DRUID", level = 90, }, 
	["Stellar Drift"] = { class = "DRUID", level = 90, }, 
	["Stellar Flare"] = { class = "DRUID", level = 90, }, 
	["Stonebark"] = { class = "DRUID", level = 90, }, 
	["Survival of the Fittest"] = { class = "DRUID", level = 90, }, 
	["Twin Moons"] = { class = "DRUID", level = 90, },
	["Primal Wrath"] = { class = "DRUID", level = 90, }, 	 --8.1	
	["Bloodtalons"] = { class = "DRUID", level = 100, }, 
	["Feral Frenzy"] = { class = "DRUID", level = 100, }, 
	["Flourish"] = { class = "DRUID", level = 100, }, 
	["Fury of Elune"] = { class = "DRUID", level = 100, }, 
	["Germination"] = { class = "DRUID", level = 100, }, 
	["Lunar Beam"] = { class = "DRUID", level = 100, }, 
	["Moment of Clarity"] = { class = "DRUID", level = 100, }, 
	["New Moon"] = { class = "DRUID", level = 100, }, 
	["Photosynthesis"] = { class = "DRUID", level = 100, }, 
--	["Pulverize"] = { class = "DRUID", level = 100, }, 
	["Rend and Tear"] = { class = "DRUID", level = 100, }, 
	["Shooting Stars"] = { class = "DRUID", level = 100, }, 
--++ Druid PvP Abilities ++	
	["Alpha Challenge"] = { class = "DRUID", level = 40, }, 
	["Celestial Downpour"] = { class = "DRUID", level = 40, }, 
	["Celestial Guardian"] = { class = "DRUID", level = 40, }, 
	["Charging Bash"] = { class = "DRUID", level = 40, }, 
	["Clan Defender"] = { class = "DRUID", level = 40, }, 
	["Crescent Burn"] = { class = "DRUID", level = 40, }, 
	["Deep Roots"] = { class = "DRUID", level = 40, }, 
	["Den Mother"] = { class = "DRUID", level = 40, }, 
	["Disentanglement"] = { class = "DRUID", level = 40, }, 
	["Druid of the Claw"] = { class = "DRUID", level = 40, }, 
	["Dying Stars"] = { class = "DRUID", level = 40, }, 
	["Early Spring"] = { class = "DRUID", level = 40, }, 
	["Earthen Grasp"] = { class = "DRUID", level = 40, }, 
	["Encroaching Vines"] = { class = "DRUID", level = 40, }, 
	["Entangling Bark"] = { class = "DRUID", level = 40, }, 
	["Entangling Claws"] = { class = "DRUID", level = 40, }, 
	["Ferocious Wound"] = { class = "DRUID", level = 40, }, 
	["Focused Growth"] = { class = "DRUID", level = 40, }, 
	["Fresh Wound"] = { class = "DRUID", level = 40, }, 
	["Ironfeather Armor"] = { class = "DRUID", level = 40, }, 
	["King of the Jungle"] = { class = "DRUID", level = 40, }, 
	["Master Shapeshifter"] = { class = "DRUID", level = 40, }, 
	["Moon and Stars"] = { class = "DRUID", level = 40, }, 
	["Moonkin Aura"] = { class = "DRUID", level = 40, }, 
	["Nourish"] = { class = "DRUID", level = 40, },    
	["Overgrowth"] = { class = "DRUID", level = 40, }, 
	["Prickling Thorns"] = { class = "DRUID", level = 40, }, 
	["Protector of the Grove"] = { class = "DRUID", level = 40, }, 
	["Rip and Tear"] = { class = "DRUID", level = 40, }, 
	["Savage Momentum"] = { class = "DRUID", level = 40, }, 
	["Sharpened Claws"] = { class = "DRUID", level = 40, }, 
--	["Tooth and Claw"] = { class = "DRUID", level = 40, },   --8.1
	["Toughness"] = { class = "DRUID", level = 40, }, 
	["Faerie Swarm"] = { class = "DRUID", level = 40, }, 
	["Freedom of the Herd"] = { class = "DRUID", level = 40, }, 
	["Malorne's Swiftness"] = { class = "DRUID", level = 40, }, 
	["Overrun"] = { class = "DRUID", level = 40, }, 
	["Raging Frenzy"] = { class = "DRUID", level = 40, }, 
	["Roaring Speed"] = { class = "DRUID", level = 40, }, 
	["Demoralizing Roar"] = { class = "DRUID", level = 40, }, 
	["Thorns"] = { class = "DRUID", level = 40, }, 
	["Enraged Maim"] = { class = "DRUID", level = 40, }, 
	["Cyclone"] = { class = "DRUID", level = 40, }, 
	["Protector of the Pack"] = { class = "DRUID", level = 40, }, 
	["Leader of the Pack"] = { class = "DRUID", level = 40, }, 	--8.1
	["Heart of the Wild"] = { class = "DRUID", level = 40, }, 	--8.1	
	["Master Shapeshifter"] = { class = "DRUID", level = 40, }, 	--8.1	
--++ Hunter Abilities ++	
	["Ancient Zandalari Knowledge"] = { class = "HUNTER", level = 1, }, 
	["Fury of the Eagle"] = { class = "HUNTER", level = 1, }, 
	["Hybrid Kinship"] = { class = "HUNTER", level = 1, }, 
	["Mecha-Bond Imprint Matrix"] = { class = "HUNTER", level = 1, }, 
	["Track Mechanicals"] = { class = "HUNTER", level = 1, }, 
	["Call Pet 1"] = { class = "HUNTER", level = 1, }, 
	["Revive Pet"] = { class = "HUNTER", level = 1, }, 
	["Track Demons"] = { class = "HUNTER", level = 4, }, 
	["Track Dragonkin"] = { class = "HUNTER", level = 4, }, 
	["Track Elementals"] = { class = "HUNTER", level = 4, }, 
	["Track Giants"] = { class = "HUNTER", level = 4, }, 
	["Track Hidden"] = { class = "HUNTER", level = 4, }, 
	["Track Undead"] = { class = "HUNTER", level = 4, }, 
	["Control Pet"] = { class = "HUNTER", level = 10, }, 
	["Dismiss Pet"] = { class = "HUNTER", level = 10, }, 
	["Beast Lore"] = { class = "HUNTER", level = 13, }, 
	["Call Pet 2"] = { class = "HUNTER", level = 13, }, 
	["Feed Pet"] = { class = "HUNTER", level = 13, }, 
	["Mend Pet"] = { class = "HUNTER", level = 13, }, 
	["Tame Beast"] = { class = "HUNTER", level = 13, }, 
	["Eagle Eye"] = { class = "HUNTER", level = 16, }, 
	["Blood Bolt"] = { class = "HUNTER", level = 20, }, 	-- 8.1
	["Aspect of the Cheetah"] = { class = "HUNTER", level = 22, }, 
	["Feign Death"] = { class = "HUNTER", level = 28, }, 
	["Wake Up"] = { class = "HUNTER", level = 32, }, 
	["Call Pet 3"] = { class = "HUNTER", level = 34, }, 
	["Command Pet"] = { class = "HUNTER", level = 38, }, 
	["Flare"] = { class = "HUNTER", level = 38, }, 
	["Aspect of the Chameleon"] = { class = "HUNTER", level = 40, }, 
	["Fetch"] = { class = "HUNTER", level = 40, }, 
	["Fireworks"] = { class = "HUNTER", level = 40, }, 
	["Play Dead"] = { class = "HUNTER", level = 40, }, 
	["Call Pet 4"] = { class = "HUNTER", level = 57, }, 
	["Aspect of the Turtle"] = { class = "HUNTER", level = 70, }, 
	["Call Pet 5"] = { class = "HUNTER", level = 80, }, 
--++ Hunter Artifact Traits ++
	["Fury of the Eagle"] = { class = "HUNTER", level = 100, }, 
	["Titan's Thunder"] = { class = "HUNTER", level = 100, }, 
	["Windburst"] = { class = "HUNTER", level = 100, }, 	
--++ Hunter Azerite Traits ++	
--	["Arcane Flurry"] = { class = "HUNTER", level = 110, },  --8.1
	["Arrowstorm"] = { class = "HUNTER", level = 110, }, 
	["Blur of Talons"] = { class = "HUNTER", level = 110, }, 
	["Dance of Death"] = { class = "HUNTER", level = 110, }, 
	["Duck and Cover"] = { class = "HUNTER", level = 110, }, 
	["Feeding Frenzy"] = { class = "HUNTER", level = 110, }, 
	["Flashing Fangs"] = { class = "HUNTER", level = 110, }, 
	["Focused Fire"] = { class = "HUNTER", level = 110, }, 
	["Haze of Rage"] = { class = "HUNTER", level = 110, }, 
	["In The Rhythm"] = { class = "HUNTER", level = 110, }, 
	["Latent Poison"] = { class = "HUNTER", level = 110, }, 
--	["Pack Alpha"] = { class = "HUNTER", level = 110, },   --8.1
	["Primal Instincts"] = { class = "HUNTER", level = 110, }, 
	["Raking Talons"] = { class = "HUNTER", level = 110, }, 
	["Rapid Reload"] = { class = "HUNTER", level = 110, }, 
--	["Ride the Lightning"] = { class = "HUNTER", level = 110, }, 
	["Rotting Jaws"] = { class = "HUNTER", level = 110, }, 
	["Seize the Initiative"] = { class = "HUNTER", level = 110, }, 
	["Serrated Jaws"] = { class = "HUNTER", level = 110, }, 
	["Shellshock"] = { class = "HUNTER", level = 110, }, 
	["Steady Aim"] = { class = "HUNTER", level = 110, }, 
	["Unerring Vision"] = { class = "HUNTER", level = 110, }, 
--	["Up Close And Personal"] = { class = "HUNTER", level = 110, },  --8.1
	["Venomous Fangs"] = { class = "HUNTER", level = 110, }, 
	["Vigorous Wings"] = { class = "HUNTER", level = 110, }, 
	["Whirling Rebound"] = { class = "HUNTER", level = 110, }, 
	["Wilderness Survival"] = { class = "HUNTER", level = 110, }, 
	["Wildfire Cluster"] = { class = "HUNTER", level = 110, }, 
	["Dire Consequences"] = { class = "HUNTER", level = 110, }, --8.1	
	["Nature's Salve"] = { class = "HUNTER", level = 110, }, --8.1		
	["Primeval Intuition"] = { class = "HUNTER", level = 110, }, --8.1		
	["Surging Shots"] = { class = "HUNTER", level = 110, }, --8.1
	["Unerring Vision"] = { class = "HUNTER", level = 110, }, --8.1		
--++ Hunter Specializations ++	
	["Cobra Shot"] = { class = "HUNTER", level = 1, }, 
	["Raptor Strike"] = { class = "HUNTER", level = 1, }, 
	["Steady Shot"] = { class = "HUNTER", level = 1, }, 
	["Concussive Shot"] = { class = "HUNTER", level = 4, }, 
	["Wing Clip"] = { class = "HUNTER", level = 4, }, 
	["Disengage"] = { class = "HUNTER", level = 8, }, 
	["Arcane Shot"] = { class = "HUNTER", level = 10, }, 
	["Kill Command"] = { class = "HUNTER", level = 10, }, 
	["Lone Wolf"] = { class = "HUNTER", level = 10, }, 
	["Aimed Shot"] = { class = "HUNTER", level = 12, }, 
	["Barbed Shot"] = { class = "HUNTER", level = 12, }, 
	["Serpent Sting"] = { class = "HUNTER", level = 12, }, 
	["Harpoon"] = { class = "HUNTER", level = 14, }, 
	["Multi-Shot"] = { class = "HUNTER", level = 14, }, 
	["Freezing Trap"] = { class = "HUNTER", level = 18, }, 
	["Bestial Wrath"] = { class = "HUNTER", level = 20, }, 
	["Rapid Fire"] = { class = "HUNTER", level = 20, }, 
	["Wild Call"] = { class = "HUNTER", level = 20, }, 
	["Wildfire Bomb"] = { class = "HUNTER", level = 20, }, 
	["Exhilaration"] = { class = "HUNTER", level = 24, }, 
	["Bursting Shot"] = { class = "HUNTER", level = 26, }, 
	["Intimidation"] = { class = "HUNTER", level = 26, }, 
	["Counter Shot"] = { class = "HUNTER", level = 32, }, 
	["Muzzle"] = { class = "HUNTER", level = 32, }, 
	["Precise Shots"] = { class = "HUNTER", level = 34, }, 
	["Tar Trap"] = { class = "HUNTER", level = 36, }, 
	["Aspect of the Wild"] = { class = "HUNTER", level = 40, }, 
	["Coordinated Assault"] = { class = "HUNTER", level = 40, }, 
	["Trueshot"] = { class = "HUNTER", level = 40, }, 
	["Carve"] = { class = "HUNTER", level = 28, }, 
	["Misdirection"] = { class = "HUNTER", level = 42, }, 
	["Kindred Spirits"] = { class = "HUNTER", level = 44, }, 
	["Beast Cleave"] = { class = "HUNTER", level = 50, }, 
	["Trick Shots"] = { class = "HUNTER", level = 50, }, 
	["Aspect of the Eagle"] = { class = "HUNTER", level = 54, }, 
	["Exotic Beasts"] = { class = "HUNTER", level = 65, }, 
	["Mastery: Master of Beasts"] = { class = "HUNTER", level = 78, }, 
	["Mastery: Sniper Training"] = { class = "HUNTER", level = 78, }, 
	["Mastery: Spirit Bond"] = { class = "HUNTER", level = 78, }, 
--++ Hunter Talents ++	
	["A Murder of Crows"] = { class = "HUNTER", level = 15, }, 
	["Alpha Predator"] = { class = "HUNTER", level = 15, }, 
	["Animal Companion"] = { class = "HUNTER", level = 15, }, 
	["Dire Beast"] = { class = "HUNTER", level = 15, }, 
	["Killer Instinct"] = { class = "HUNTER", level = 15, }, 
	["Master Marksman"] = { class = "HUNTER", level = 15, }, 
	["Terms of Engagement"] = { class = "HUNTER", level = 15, }, 
	["Viper's Venom"] = { class = "HUNTER", level = 15, }, 
	["Butchery"] = { class = "HUNTER", level = 30, }, 
	["Careful Aim"] = { class = "HUNTER", level = 30, }, 
	["Chimaera Shot"] = { class = "HUNTER", level = 30, }, 
	["Explosive Shot"] = { class = "HUNTER", level = 30, }, 
	["Guerrilla Tactics"] = { class = "HUNTER", level = 30, }, 
	["Hydra's Bite"] = { class = "HUNTER", level = 30, }, 
	["One with the Pack"] = { class = "HUNTER", level = 30, }, 
--	["Scent of Blood"] = { class = "HUNTER", level = 30, }, 
	["Volley"] = { class = "HUNTER", level = 30, }, 
	["Camouflage"] = { class = "HUNTER", level = 45, }, 
	["Natural Mending"] = { class = "HUNTER", level = 45, }, 
	["Trailblazer"] = { class = "HUNTER", level = 45, }, 
	["Bloodseeker"] = { class = "HUNTER", level = 60, }, 
	["Hunter's Mark"] = { class = "HUNTER", level = 60, }, 
	["Steady Focus"] = { class = "HUNTER", level = 60, }, 
	["Steel Trap"] = { class = "HUNTER", level = 60, }, 
	["Streamline"] = { class = "HUNTER", level = 60, }, 
	["Thrill of the Hunt"] = { class = "HUNTER", level = 60, }, 
	["Venomous Bite"] = { class = "HUNTER", level = 60, }, 
	["Binding Shot"] = { class = "HUNTER", level = 75, }, 
	["Born To Be Wild"] = { class = "HUNTER", level = 75, }, 
	["Posthaste"] = { class = "HUNTER", level = 75, }, 
	["Barrage"] = { class = "HUNTER", level = 90, }, 
	["Double Tap"] = { class = "HUNTER", level = 90, }, 
	["Flanking Strike"] = { class = "HUNTER", level = 90, }, 
	["Lethal Shots"] = { class = "HUNTER", level = 90, }, 
	["Mongoose Bite"] = { class = "HUNTER", level = 90, }, 
	["Stampede"] = { class = "HUNTER", level = 90, }, 
	["Stomp"] = { class = "HUNTER", level = 90, }, 
	["Tip of the Spear"] = { class = "HUNTER", level = 90, }, 
	["Aspect of the Beast"] = { class = "HUNTER", level = 100, }, 
	["Birds of Prey"] = { class = "HUNTER", level = 100, }, 
	["Calling the Shots"] = { class = "HUNTER", level = 100, }, 
	["Chakrams"] = { class = "HUNTER", level = 100, }, 
	["Killer Cobra"] = { class = "HUNTER", level = 100, }, 
	["Lock and Load"] = { class = "HUNTER", level = 100, }, 
	["Piercing Shot"] = { class = "HUNTER", level = 100, }, 
	["Spitting Cobra"] = { class = "HUNTER", level = 100, }, 
	["Wildfire Infusion"] = { class = "HUNTER", level = 100, }, 
--++ Hunter PvP Talents ++	
	["Diamond Ice"] = { class = "HUNTER", level = 40, }, 
	["Dire Beast: Basilisk"] = { class = "HUNTER", level = 40, }, 
	["Dire Beast: Hawk"] = { class = "HUNTER", level = 40, }, 
	["Dragonscale Armor"] = { class = "HUNTER", level = 40, }, 
	["Hunting Pack"] = { class = "HUNTER", level = 40, }, 
	["Interlope"] = { class = "HUNTER", level = 40, }, 
	["Mending Bandage"] = { class = "HUNTER", level = 40, }, 
	["Ranger's Finesse"] = { class = "HUNTER", level = 40, }, 
	["Roar of Sacrifice"] = { class = "HUNTER", level = 40, }, 
	["Scorpid Sting"] = { class = "HUNTER", level = 40, }, 
	["Sniper Shot"] = { class = "HUNTER", level = 40, }, 
	["Spider Sting"] = { class = "HUNTER", level = 40, }, 
	["Sticky Tar"] = { class = "HUNTER", level = 40, }, 
	["Survival Tactics"] = { class = "HUNTER", level = 40, }, 
	["The Beast Within"] = { class = "HUNTER", level = 40, }, 
	["Trueshot Mastery"] = { class = "HUNTER", level = 40, }, 
	["Viper Sting"] = { class = "HUNTER", level = 40, }, 
	["Wild Protector"] = { class = "HUNTER", level = 40, }, 
	["Tracker's Net"] = { class = "HUNTER", level = 40, }, 
	["Scatter Shot"] = { class = "HUNTER", level = 40, }, 
	["Hi-Explosive Trap"] = { class = "HUNTER", level = 40, }, 
--++ Mage Abilities ++	
	["Illusion"] = { class = "MAGE", level = 1, }, 
	["Frost Nova"] = { class = "MAGE", level = 5, }, 
	["Polymorph"] = { class = "MAGE", level = 8, }, 
	["Conjure Refreshment"] = { class = "MAGE", level = 13, }, 
	["Teleport: Hall of the Guardian"] = { class = "MAGE", level = 14, }, 
	["Blink"] = { class = "MAGE", level = 16, }, 
	["Teleport: Darnassus"] = { class = "MAGE", level = 17, }, 
	["Teleport: Exodar"] = { class = "MAGE", level = 17, }, 
	["Teleport: Ironforge"] = { class = "MAGE", level = 17, }, 
	["Teleport: Orgrimmar"] = { class = "MAGE", level = 17, }, 
	["Teleport: Silvermoon"] = { class = "MAGE", level = 17, }, 
	["Teleport: Stormwind"] = { class = "MAGE", level = 17, }, 
	["Teleport: Theramore"] = { class = "MAGE", level = 17, }, 
	["Teleport: Thunder Bluff"] = { class = "MAGE", level = 17, }, 
	["Teleport: Undercity"] = { class = "MAGE", level = 17, }, 
	["Counterspell"] = { class = "MAGE", level = 22, }, 
	["Remove Curse"] = { class = "MAGE", level = 28, }, 
	["Slow Fall"] = { class = "MAGE", level = 38, }, 
	["Portal: Darnassus"] = { class = "MAGE", level = 42, }, 
	["Portal: Exodar"] = { class = "MAGE", level = 42, }, 
	["Portal: Ironforge"] = { class = "MAGE", level = 42, }, 
	["Portal: Orgrimmar"] = { class = "MAGE", level = 42, }, 
	["Portal: Silvermoon"] = { class = "MAGE", level = 42, }, 
	["Portal: Stormwind"] = { class = "MAGE", level = 42, }, 
	["Portal: Theramore"] = { class = "MAGE", level = 42, }, 
	["Portal: Thunder Bluff"] = { class = "MAGE", level = 42, }, 
	["Portal: Undercity"] = { class = "MAGE", level = 42, }, 
	["Ice Block"] = { class = "MAGE", level = 50, }, 
	["Portal: Stonard"] = { class = "MAGE", level = 52, }, 
	["Teleport: Stonard"] = { class = "MAGE", level = 52, }, 
	["Arcane Intellect"] = { class = "MAGE", level = 58, }, 
	["Arcane Linguist"] = { class = "MAGE", level = 58, }, 
	["Teleport: Dalaran - Northrend"] = { class = "MAGE", level = 60, }, 
	["Teleport: Shattrath"] = { class = "MAGE", level = 62, }, 
	["Portal: Shattrath"] = { class = "MAGE", level = 66, }, 
	["Spellsteal"] = { class = "MAGE", level = 70, }, 
	["Ancient Teleport: Dalaran"] = { class = "MAGE", level = 71, }, 
	["Teleport: Dalaran - Broken Isles"] = { class = "MAGE", level = 71, }, 
	["Ancient Portal: Dalaran"] = { class = "MAGE", level = 74, }, 
	["Portal: Dalaran - Broken Isles"] = { class = "MAGE", level = 74, }, 
	["Portal: Dalaran - Northrend"] = { class = "MAGE", level = 74, }, 
	["Time Warp"] = { class = "MAGE", level = 80, }, 
	["Portal: Tol Barad"] = { class = "MAGE", level = 85, }, 
	["Teleport: Tol Barad"] = { class = "MAGE", level = 85, }, 
	["Portal: Vale of Eternal Blossoms"] = { class = "MAGE", level = 90, }, 
	["Teleport: Vale of Eternal Blossoms"] = { class = "MAGE", level = 90, }, 
	["Portal: Stormshield"] = { class = "MAGE", level = 92, }, 
	["Portal: Warspear"] = { class = "MAGE", level = 92, }, 
	["Teleport: Stormshield"] = { class = "MAGE", level = 92, }, 
	["Teleport: Warspear"] = { class = "MAGE", level = 92, }, 
	["Portal: Boralus"] = { class = "MAGE", level = 110, }, 
	["Portal: Dazar'alor"] = { class = "MAGE", level = 110, }, 
	["Teleport: Boralus"] = { class = "MAGE", level = 110, }, 
	["Teleport: Dazar'alor"] = { class = "MAGE", level = 110, }, 
--++ Mage Artifact Traits ++
	["Mark of Aluneth"] = { class = "MAGE", level = 100, }, 
	["Phoenix Flames"] = { class = "MAGE", level = 100, }, 
	["Ebonbolt"] = { class = "MAGE", level = 100, }, 	
--++ Mage Azerite Traits ++	
--	["Anomalous Impact"] = { class = "MAGE", level = 110, },  --8.1
	["Arcane Pressure"] = { class = "MAGE", level = 110, }, 
	["Arcane Pummeling"] = { class = "MAGE", level = 110, }, 
	["Blaster Master"] = { class = "MAGE", level = 110, }, 
	["Brain Storm"] = { class = "MAGE", level = 110, }, 
	["Cauterizing Blink"] = { class = "MAGE", level = 110, }, 
	["Duplicative Incineration"] = { class = "MAGE", level = 110, }, 
	["Eldritch Warding"] = { class = "MAGE", level = 110, }, 
	["Explosive Echo"] = { class = "MAGE", level = 110, }, 
	["Firemind"] = { class = "MAGE", level = 110, }, 
	["Flames of Alacrity"] = { class = "MAGE", level = 110, }, 
	["Frigid Grasp"] = { class = "MAGE", level = 110, }, 
	["Galvanizing Spark"] = { class = "MAGE", level = 110, }, 
	["Glacial Assault"] = { class = "MAGE", level = 110, }, 
	["Packed Ice"] = { class = "MAGE", level = 110, }, 
--	["Preheat"] = { class = "MAGE", level = 110, },   --8.1
	["Trailing Embers"] = { class = "MAGE", level = 110, }, 
	["Tunnel of Ice"] = { class = "MAGE", level = 110, }, 
	["Whiteout"] = { class = "MAGE", level = 110, }, 
--	["Winter's Reach"] = { class = "MAGE", level = 110, },  --8.1
	["Equipoise"] = { class = "MAGE", level = 110, },  --8.1
	["Flash Freeze"] = { class = "MAGE", level = 110, },  --8.1
	["Quick Thinking"] = { class = "MAGE", level = 110, },  --8.1
	["Wildfire"] = { class = "MAGE", level = 110, },  --8.1
--++ Mage Specializations ++	
	["Frostbolt"] = { class = "MAGE", level = 1, }, 
--	["Fire Blast"] = { class = "MAGE", level = 3, }, 
	["Arcane Barrage"] = { class = "MAGE", level = 10, }, 
	["Arcane Blast"] = { class = "MAGE", level = 10, }, 
	["Critical Mass"] = { class = "MAGE", level = 10, }, 
	["Fireball"] = { class = "MAGE", level = 10, }, 
	["Ice Lance"] = { class = "MAGE", level = 10, }, 
	["Arcane Missiles"] = { class = "MAGE", level = 12, }, 
	["Pyroblast"] = { class = "MAGE", level = 12, }, 
	["Summon Water Elemental"] = { class = "MAGE", level = 12, }, 
	["Hot Streak"] = { class = "MAGE", level = 14, }, 
	["Scorch"] = { class = "MAGE", level = 14, }, 
	["Shatter"] = { class = "MAGE", level = 14, }, 
	["Arcane Explosion"] = { class = "MAGE", level = 18, }, 
	["Blizzard"] = { class = "MAGE", level = 18, }, 
	["Evocation"] = { class = "MAGE", level = 20, }, 
	["Flamestrike"] = { class = "MAGE", level = 20, }, 
	["Flurry"] = { class = "MAGE", level = 20, }, 
	["Fingers of Frost"] = { class = "MAGE", level = 24, }, 
	["Blazing Barrier"] = { class = "MAGE", level = 26, }, 
	["Ice Barrier"] = { class = "MAGE", level = 26, }, 
	["Prismatic Barrier"] = { class = "MAGE", level = 26, }, 
	["Brain Freeze"] = { class = "MAGE", level = 28, }, 
	["Dragon's Breath"] = { class = "MAGE", level = 32, }, 
	["Freeze"] = { class = "MAGE", level = 32, }, 
	["Slow"] = { class = "MAGE", level = 32, }, 
	["Cone of Cold"] = { class = "MAGE", level = 34, }, 
	["Enhanced Pyrotechnics"] = { class = "MAGE", level = 35, }, 
	["Arcane Power"] = { class = "MAGE", level = 40, }, 
	["Combustion"] = { class = "MAGE", level = 40, }, 
	["Icy Veins"] = { class = "MAGE", level = 40, }, 
	["Invisibility"] = { class = "MAGE", level = 42, }, 
	["Displacement"] = { class = "MAGE", level = 48, }, 
	["Cauterize"] = { class = "MAGE", level = 52, }, 
	["Cold Snap"] = { class = "MAGE", level = 52, }, 
	["Presence of Mind"] = { class = "MAGE", level = 54, }, 
	["Frozen Orb"] = { class = "MAGE", level = 57, }, 
	["Greater Invisibility"] = { class = "MAGE", level = 65, }, 
	["Mastery: Icicles"] = { class = "MAGE", level = 78, }, 
	["Mastery: Ignite"] = { class = "MAGE", level = 78, }, 
	["Mastery: Savant"] = { class = "MAGE", level = 78, }, 
--++ Mage Talents ++	
	["Amplification"] = { class = "MAGE", level = 15, }, 
	["Arcane Familiar"] = { class = "MAGE", level = 15, }, 
	["Bone Chilling"] = { class = "MAGE", level = 15, }, 
	["Firestarter"] = { class = "MAGE", level = 15, }, 
	["Ice Nova"] = { class = "MAGE", level = 15, }, 
	["Lonely Winter"] = { class = "MAGE", level = 15, }, 
	["Pyromaniac"] = { class = "MAGE", level = 15, }, 
	["Rule of Threes"] = { class = "MAGE", level = 15, }, 
	["Searing Touch"] = { class = "MAGE", level = 15, }, 
	["Blast Wave"] = { class = "MAGE", level = 30, }, 
	["Blazing Soul"] = { class = "MAGE", level = 30, }, 
	["Glacial Insulation"] = { class = "MAGE", level = 30, }, 
	["Ice Floes"] = { class = "MAGE", level = 30, }, 
	["Mana Shield"] = { class = "MAGE", level = 30, }, 
	["Shimmer"] = { class = "MAGE", level = 30, }, 
	["Slipstream"] = { class = "MAGE", level = 30, }, 
	["Incanter's Flow"] = { class = "MAGE", level = 45, }, 
	["Mirror Image"] = { class = "MAGE", level = 45, }, 
	["Rune of Power"] = { class = "MAGE", level = 45, }, 
	["Alexstrasza's Fury"] = { class = "MAGE", level = 60, }, 
	["Chain Reaction"] = { class = "MAGE", level = 60, }, 
	["Charged Up"] = { class = "MAGE", level = 60, }, 
	["Ebonbolt"] = { class = "MAGE", level = 60, }, 
	["Flame On"] = { class = "MAGE", level = 60, }, 
	["Frozen Touch"] = { class = "MAGE", level = 60, }, 
	["Phoenix Flames"] = { class = "MAGE", level = 60, }, 
	["Resonance"] = { class = "MAGE", level = 60, }, 
	["Supernova"] = { class = "MAGE", level = 60, }, 
	["Chrono Shift"] = { class = "MAGE", level = 75, }, 
	["Frenetic Speed"] = { class = "MAGE", level = 75, }, 
	["Frigid Winds"] = { class = "MAGE", level = 75, }, 
	["Ice Ward"] = { class = "MAGE", level = 75, }, 
	["Ring of Frost"] = { class = "MAGE", level = 75, }, 
	["Comet Storm"] = { class = "MAGE", level = 90, }, 
	["Conflagration"] = { class = "MAGE", level = 90, }, 
	["Flame Patch"] = { class = "MAGE", level = 90, }, 
	["Freezing Rain"] = { class = "MAGE", level = 90, }, 
	["Living Bomb"] = { class = "MAGE", level = 90, }, 
	["Nether Tempest"] = { class = "MAGE", level = 90, }, 
	["Reverberate"] = { class = "MAGE", level = 90, }, 
	["Touch of the Magi"] = { class = "MAGE", level = 90, }, 
	["Arcane Orb"] = { class = "MAGE", level = 100, }, 
	["Glacial Spike"] = { class = "MAGE", level = 100, }, 
	["Kindling"] = { class = "MAGE", level = 100, }, 
--	["Meteor"] = { class = "MAGE", level = 100, }, 
	["Overpowered"] = { class = "MAGE", level = 100, }, 
	["Pyroclasm"] = { class = "MAGE", level = 100, }, 
	["Ray of Frost"] = { class = "MAGE", level = 100, }, 
	["Thermal Void"] = { class = "MAGE", level = 100, }, 
	["Time Anomaly"] = { class = "MAGE", level = 100, }, 
--++ Mage PvP Talents ++	
	["Arcane Empowerment"] = { class = "MAGE", level = 40, }, 
	["Concentrated Coolness"] = { class = "MAGE", level = 40, }, 
	["Controlled Burn"] = { class = "MAGE", level = 40, }, 
	["Dampened Magic"] = { class = "MAGE", level = 40, }, 
	["Deep Shatter"] = { class = "MAGE", level = 40, }, 
	["Flamecannon"] = { class = "MAGE", level = 40, }, 
	["Kleptomania"] = { class = "MAGE", level = 40, }, 
	["Mass Invisibility"] = { class = "MAGE", level = 40, }, 
	["Master of Escape"] = { class = "MAGE", level = 40, }, 
	["Netherwind Armor"] = { class = "MAGE", level = 40, }, 
	["Prismatic Cloak"] = { class = "MAGE", level = 40, }, 
	["Tinder"] = { class = "MAGE", level = 40, }, 
	["Torment the Weak"] = { class = "MAGE", level = 40, }, 
	["World in Flames"] = { class = "MAGE", level = 40, }, 
	["Burst of Cold"] = { class = "MAGE", level = 40, }, 
	["Chilled to the Bone"] = { class = "MAGE", level = 40, }, 
	["Frostbite"] = { class = "MAGE", level = 40, }, 
	["Temporal Shield"] = { class = "MAGE", level = 40, }, 
	["Greater Pyroblast"] = { class = "MAGE", level = 40, }, 
	["Rewind Time"] = { class = "MAGE", level = 40, }, 
	["Ice Form"] = { class = "MAGE", level = 40, }, 
--++ Monk Abilities ++	
	["Crosswinds"] = { class = "MONK", level = 1, }, 
	["Tiger Palm"] = { class = "MONK", level = 1, }, 
	["Zen Flight"] = { class = "MONK", level = 1, }, 
	["Blackout Kick"] = { class = "MONK", level = 3, }, 
	["Roll"] = { class = "MONK", level = 5, }, 
	["Soothing Mist"] = { class = "MONK", level = 10, }, 
	["Provoke"] = { class = "MONK", level = 13, }, 
	["Resuscitate"] = { class = "MONK", level = 14, }, 
	["Zen Pilgrimage"] = { class = "MONK", level = 14, }, 
	["Crackling Jade Lightning"] = { class = "MONK", level = 18, }, 
	["Paralysis"] = { class = "MONK", level = 25, }, 
	["Mystic Touch"] = { class = "MONK", level = 26, }, 
	["Zen Pilgrimage: Return"] = { class = "MONK", level = 30, }, 
	["Transcendence"] = { class = "MONK", level = 80, }, 
	["Transcendence: Transfer"] = { class = "MONK", level = 80, }, 
--++ Monk Artifact Traits ++
	["Exploding Keg"] = { class = "MONK", level = 100, }, 
	["Sheilun's Gift"] = { class = "MONK", level = 100, }, 
	["Strike of the Windlord"] = { class = "MONK", level = 100, }, 
--++ Monk Azerite Traits ++	
	["Boiling Brew"] = { class = "MONK", level = 110, }, 
	["Burst of Life"] = { class = "MONK", level = 110, }, 
	["Elusive Footwork"] = { class = "MONK", level = 110, }, 
	["Fit to Burst"] = { class = "MONK", level = 110, }, 
	["Font of Life"] = { class = "MONK", level = 110, }, 
--	["Invigorating Brew"] = { class = "MONK", level = 110, },  --8.1
--	["Iron Fists"] = { class = "MONK", level = 110, },  --8.1
--	["Meridian Strikes"] = { class = "MONK", level = 110, },  --8.1
	["Misty Peaks"] = { class = "MONK", level = 110, }, 
	["Niuzao's Blessing"] = { class = "MONK", level = 110, }, 
	["Open Palm Strikes"] = { class = "MONK", level = 110, }, 
	["Overflowing Mists"] = { class = "MONK", level = 110, }, 
	["Pressure Point"] = { class = "MONK", level = 110, }, 
	["Staggering Strikes"] = { class = "MONK", level = 110, }, 
	["Strength of Spirit"] = { class = "MONK", level = 110, }, 
	["Sunrise Technique"] = { class = "MONK", level = 110, }, 
	["Sweep the Leg"] = { class = "MONK", level = 110, }, 
--	["Swift Roundhouse"] = { class = "MONK", level = 110, },  --8.1
	["Training of Niuzao"] = { class = "MONK", level = 110, }, 
	["Uplifted Spirits"] = { class = "MONK", level = 110, }, 
	["Dance of Chi-Ji"] = { class = "MONK", level = 110, },  --8.1	
	["Exit Strategy"] = { class = "MONK", level = 110, },  --8.1
	["Fury of Xuen"] = { class = "MONK", level = 110, },  --8.1
	["Glory of the Dawn"] = { class = "MONK", level = 110, },  --8.1
	["Secret Infusion"] = { class = "MONK", level = 110, },  --8.1
	["Straight, No Chaser"] = { class = "MONK", level = 110, },  --8.1	
--++ Monk Specializations ++	
	["Vivify"] = { class = "MONK", level = 8, }, 
	["Blackout Strike"] = { class = "MONK", level = 10, }, 
	["Brewmaster's Balance"] = { class = "MONK", level = 10, }, 
	["Keg Smash"] = { class = "MONK", level = 10, }, 
	["Rising Sun Kick"] = { class = "MONK", level = 10, }, 
	["Enveloping Mist"] = { class = "MONK", level = 12, }, 
	["Teachings of the Monastery"] = { class = "MONK", level = 12, }, 
	["Disable"] = { class = "MONK", level = 16, }, 
	["Stagger"] = { class = "MONK", level = 16, }, 
	["Combat Conditioning"] = { class = "MONK", level = 20, }, 
	["Fists of Fury"] = { class = "MONK", level = 20, }, 
	["Ironskin Brew"] = { class = "MONK", level = 20, }, 
	["Renewing Mist"] = { class = "MONK", level = 20, }, 
	["Detox"] = { class = "MONK", level = 22, }, 
	["Purifying Brew"] = { class = "MONK", level = 28, }, 
	["Gift of the Ox"] = { class = "MONK", level = 32, }, 
	["Touch of Death"] = { class = "MONK", level = 32, }, 
	["Touch of Death Amplifier"] = { class = "MONK", level = 32, }, 
	["Life Cocoon"] = { class = "MONK", level = 35, }, 
	["Spear Hand Strike"] = { class = "MONK", level = 35, }, 
	["Windwalking"] = { class = "MONK", level = 38, }, 
	["Breath of Fire"] = { class = "MONK", level = 40, }, 
	["Cyclone Strikes"] = { class = "MONK", level = 40, }, 
	["Essence Font"] = { class = "MONK", level = 40, }, 
	["Spinning Crane Kick"] = { class = "MONK", level = 40, }, 
	["Combo Breaker"] = { class = "MONK", level = 42, }, 
	["Flying Serpent Kick"] = { class = "MONK", level = 48, }, 
	["Expel Harm"] = { class = "MONK", level = 50, }, 
	["Storm, Earth, and Fire"] = { class = "MONK", level = 50, }, 
	["Thunder Focus Tea"] = { class = "MONK", level = 50, }, 
	["Leg Sweep"] = { class = "MONK", level = 52, }, 
	["Fortifying Brew"] = { class = "MONK", level = 55, }, 
	["Touch of Karma"] = { class = "MONK", level = 55, }, 
	["Zen Meditation"] = { class = "MONK", level = 65, }, 
	["Reawaken"] = { class = "MONK", level = 66, }, 
	["Celestial Fortune"] = { class = "MONK", level = 70, }, 
	["Revival"] = { class = "MONK", level = 70, }, 
	["Mastery: Combo Strikes"] = { class = "MONK", level = 78, }, 
	["Mastery: Elusive Brawler"] = { class = "MONK", level = 78, }, 
	["Mastery: Gust of Mists"] = { class = "MONK", level = 78, }, 
--++ Monk Talents ++	
	["Chi Burst"] = { class = "MONK", level = 15, }, 
	["Chi Wave"] = { class = "MONK", level = 15, }, 
	["Eye of the Tiger"] = { class = "MONK", level = 15, }, 
	["Mist Wrap"] = { class = "MONK", level = 15, }, 
	["Celerity"] = { class = "MONK", level = 30, }, 
	["Chi Torpedo"] = { class = "MONK", level = 30, }, 
	["Tiger's Lust"] = { class = "MONK", level = 30, }, 
	["Ascension"] = { class = "MONK", level = 45, }, 
	["Black Ox Brew"] = { class = "MONK", level = 45, }, 
	["Energizing Elixir"] = { class = "MONK", level = 45, }, 
	["Fist of the White Tiger"] = { class = "MONK", level = 45, }, 
	["Lifecycles"] = { class = "MONK", level = 45, }, 
	["Light Brewing"] = { class = "MONK", level = 45, }, 
	["Mana Tea"] = { class = "MONK", level = 45, }, 
	["Spirit of the Crane"] = { class = "MONK", level = 45, }, 
	["Spitfire"] = { class = "MONK", level = 45, }, 
	["Good Karma"] = { class = "MONK", level = 60, }, 
	["Ring of Peace"] = { class = "MONK", level = 60, }, 
	["Song of Chi-Ji"] = { class = "MONK", level = 60, }, 
	["Summon Black Ox Statue"] = { class = "MONK", level = 60, }, 
	["Tiger Tail Sweep"] = { class = "MONK", level = 60, }, 
	["Bob and Weave"] = { class = "MONK", level = 75, }, 
	["Dampen Harm"] = { class = "MONK", level = 75, }, 
	["Diffuse Magic"] = { class = "MONK", level = 75, }, 
	["Inner Strength"] = { class = "MONK", level = 75, }, 
	["Hit Combo"] = { class = "MONK", level = 90, }, 
	["Invoke Chi-Ji, the Red Crane"] = { class = "MONK", level = 90, }, 
	["Invoke Niuzao, the Black Ox"] = { class = "MONK", level = 90, }, 
	["Invoke Xuen, the White Tiger"] = { class = "MONK", level = 90, }, 
	["Refreshing Jade Wind"] = { class = "MONK", level = 90, }, 
	["Rushing Jade Wind"] = { class = "MONK", level = 90, }, 
	["Special Delivery"] = { class = "MONK", level = 90, }, 
	["Summon Jade Serpent Statue"] = { class = "MONK", level = 90, }, 
	["Blackout Combo"] = { class = "MONK", level = 100, }, 
	["Focused Thunder"] = { class = "MONK", level = 100, }, 
	["Guard"] = { class = "MONK", level = 100, }, 
	["High Tolerance"] = { class = "MONK", level = 100, }, 
	["Rising Mist"] = { class = "MONK", level = 100, }, 
	["Serenity"] = { class = "MONK", level = 100, }, 
	["Spiritual Focus"] = { class = "MONK", level = 100, }, 
	["Upwelling"] = { class = "MONK", level = 100, }, 
	["Whirling Dragon Punch"] = { class = "MONK", level = 100, }, 
--++ Monk PvP Talents ++	
	["Admonishment"] = { class = "MONK", level = 40, }, 
	["Alpha Tiger"] = { class = "MONK", level = 40, },	 --8.1
	["Avert Harm"] = { class = "MONK", level = 40, }, 
	["Chrysalis"] = { class = "MONK", level = 40, }, 
	["Control the Mists"] = { class = "MONK", level = 40, }, 
	["Counteract Magic"] = { class = "MONK", level = 40, }, 
	["Disabling Reach"] = { class = "MONK", level = 40, }, 
	["Dome of Mist"] = { class = "MONK", level = 40, }, 
	["Double Barrel"] = { class = "MONK", level = 40, }, 
	["Eerie Fermentation"] = { class = "MONK", level = 40, }, 
	["Eminence"] = { class = "MONK", level = 40, }, 
	["Fast Feet"] = { class = "MONK", level = 40, }, 
	["Grapple Weapon"] = { class = "MONK", level = 40, }, 
	["Guided Meditation"] = { class = "MONK", level = 40, }, 
	["Healing Sphere"] = { class = "MONK", level = 40, }, 
	["Heavy-Handed Strikes"] = { class = "MONK", level = 40, }, 
	["Hot Trub"] = { class = "MONK", level = 40, }, 
	["Incendiary Breath"] = { class = "MONK", level = 40, }, 
	["Microbrew"] = { class = "MONK", level = 40, }, 
	["Mighty Ox Kick"] = { class = "MONK", level = 40, }, 
	["Refreshing Breeze"] = { class = "MONK", level = 40, }, 
	["Ride the Wind"] = { class = "MONK", level = 40, }, 
	["Tiger Style"] = { class = "MONK", level = 40, }, 
	["Tigereye Brew"] = { class = "MONK", level = 40, }, 
	["Way of the Crane"] = { class = "MONK", level = 40, }, 
	["Zen Focus Tea"] = { class = "MONK", level = 40, }, 
	["Craft: Nimble Brew"] = { class = "MONK", level = 40, }, 
	["Niuzao's Essence"] = { class = "MONK", level = 40, }, 
	["Yu'lon's Gift"] = { class = "MONK", level = 40, }, 
	["Surging Mist"] = { class = "MONK", level = 40, }, 
	["Pressure Points"] = { class = "MONK", level = 40, },  --8.1	
	["Reverse Harm"] = { class = "MONK", level = 40, },  --8.1		
	["Turbo Fists"] = { class = "MONK", level = 40, },  --8.1		
	["Wind Walker"] = { class = "MONK", level = 40, },  --8.1		
--++ Paladin Abilities ++	
	["Tyr's Deliverance"] = { class = "PALADIN", level = 1, }, 
	["Boundless Conviction"] = { class = "PALADIN", level = 1, }, 
	["Hand of Reckoning"] = { class = "PALADIN", level = 12, }, 
	["Redemption"] = { class = "PALADIN", level = 14, }, 
	["Divine Shield"] = { class = "PALADIN", level = 18, }, 
	["Summon Darkforge Ram"] = { class = "PALADIN", level = 20, }, 
	["Summon Dawnforge Ram"] = { class = "PALADIN", level = 20, }, 
	["Summon Exarch's Elekk"] = { class = "PALADIN", level = 20, }, 
	["Summon Sunwalker Kodo"] = { class = "PALADIN", level = 20, }, 
	["Summon Thalassian Warhorse"] = { class = "PALADIN", level = 20, }, 
	["Summon Warhorse"] = { class = "PALADIN", level = 20, }, 
	["Divine Steed"] = { class = "PALADIN", level = 28, }, 
	["Blessing of Freedom"] = { class = "PALADIN", level = 38, }, 
	["Contemplation"] = { class = "PALADIN", level = 40, }, 
	["Summon Charger"] = { class = "PALADIN", level = 40, }, 
	["Summon Great Exarch's Elekk"] = { class = "PALADIN", level = 40, }, 
	["Summon Great Sunwalker Kodo"] = { class = "PALADIN", level = 40, }, 
	["Summon Thalassian Charger"] = { class = "PALADIN", level = 40, }, 
	["Heart of the Crusader"] = { class = "PALADIN", level = 44, }, 
	["Lay on Hands"] = { class = "PALADIN", level = 55, },
--++ Paladin Artifact Traits ++
	["Eye of Tyr"] = { class = "PALADIN", level = 100, }, 
	["Tyr's Deliverance"] = { class = "PALADIN", level = 100, },
	["Wake of Ashes"] = { class = "PALADIN", level = 100, }, 
--++ Paladin Azerite Traits ++	
	["Avenger's Might"] = { class = "PALADIN", level = 110, }, 
	["Breaking Dawn"] = { class = "PALADIN", level = 110, }, 
	["Bulwark of Light"] = { class = "PALADIN", level = 110, }, 
	["Critical Flash"] = { class = "PALADIN", level = 110, }, 
	["Divine Illumination"] = { class = "PALADIN", level = 110, }, 
	["Divine Revelations"] = { class = "PALADIN", level = 110, }, 
--	["Divine Right"] = { class = "PALADIN", level = 110, },   --8.1
	["Expurgation"] = { class = "PALADIN", level = 110, }, 
	["Fortifying Auras"] = { class = "PALADIN", level = 110, }, 
	["Gallant Steed"] = { class = "PALADIN", level = 110, }, 
	["Grace of the Justicar"] = { class = "PALADIN", level = 110, }, 
	["Healing Hammer"] = { class = "PALADIN", level = 110, }, 
	["Inspiring Beacon"] = { class = "PALADIN", level = 110, }, 
	["Inspiring Vanguard"] = { class = "PALADIN", level = 110, }, 
	["Judicious Defense"] = { class = "PALADIN", level = 110, }, 
--	["Martyr's Breath"] = { class = "PALADIN", level = 110, },   --8.1
	["Radiant Incandescence"] = { class = "PALADIN", level = 110, }, 
	["Rejuvenating Grace"] = { class = "PALADIN", level = 110, }, 
	["Relentless Inquisitor"] = { class = "PALADIN", level = 110, }, 
	["Righteous Bastion"] = { class = "PALADIN", level = 110, }, 
	["Righteous Flames"] = { class = "PALADIN", level = 110, }, 
	["Soaring Shield"] = { class = "PALADIN", level = 110, }, 
	["Stalwart Protector"] = { class = "PALADIN", level = 110, }, 
--	["Zealotry"] = { class = "PALADIN", level = 110, },   --8.1
	["Empyreal Ward"] = { class = "PALADIN", level = 110, },   --8.1
	["Empyreal Power"] = { class = "PALADIN", level = 110, },   --8.1	
	["Glimmer of Light"] = { class = "PALADIN", level = 110, },   --8.1	
	["Light's Decree"] = { class = "PALADIN", level = 110, },   --8.1	
	["Righteous Conviction"] = { class = "PALADIN", level = 110, },   --8.1
--++ Paladin Specializations ++	
	["Judgment"] = { class = "PALADIN", level = 3, }, 
	["Flash of Light"] = { class = "PALADIN", level = 5, }, 
	["Hammer of Justice"] = { class = "PALADIN", level = 8, }, 
	["Avenger's Shield"] = { class = "PALADIN", level = 10, }, 
	["Hammer of the Righteous"] = { class = "PALADIN", level = 10, }, 
	["Holy Shock"] = { class = "PALADIN", level = 10, }, 
	["Righteous Fury"] = { class = "PALADIN", level = 10, }, 
	["Sanctuary"] = { class = "PALADIN", level = 10, }, 
	["Templar's Verdict"] = { class = "PALADIN", level = 10, }, 
	["Beacon of Light"] = { class = "PALADIN", level = 20, }, 
	["Blade of Justice"] = { class = "PALADIN", level = 20, }, 
	["Shield of the Righteous"] = { class = "PALADIN", level = 20, }, 
	["Cleanse"] = { class = "PALADIN", level = 22, }, 
	["Cleanse Toxins"] = { class = "PALADIN", level = 22, }, 
	["Hand of Hindrance"] = { class = "PALADIN", level = 24, }, 
	["Grand Crusader"] = { class = "PALADIN", level = 25, }, 
	["Holy Light"] = { class = "PALADIN", level = 25, }, 
	["Crusader Strike"] = { class = "PALADIN", level = 26, }, 
	["Art of War"] = { class = "PALADIN", level = 28, }, 
	["Judgments of the Wise"] = { class = "PALADIN", level = 28, }, 
	["Divine Protection"] = { class = "PALADIN", level = 32, }, 
	["Shield of Vengeance"] = { class = "PALADIN", level = 32, }, 
	["Infusion of Light"] = { class = "PALADIN", level = 35, }, 
	["Rebuke"] = { class = "PALADIN", level = 35, }, 
	["Divine Storm"] = { class = "PALADIN", level = 40, }, 
	["Light of Dawn"] = { class = "PALADIN", level = 40, }, 
	["Light of the Protector"] = { class = "PALADIN", level = 40, }, 
	["Blessing of Protection"] = { class = "PALADIN", level = 48, }, 
	["Ardent Defender"] = { class = "PALADIN", level = 50, }, 
	["Light of the Martyr"] = { class = "PALADIN", level = 50, }, 
	["Blessing of Sacrifice"] = { class = "PALADIN", level = 56, }, 
	["Greater Blessing of Kings"] = { class = "PALADIN", level = 58, }, 
	["Greater Blessing of Wisdom"] = { class = "PALADIN", level = 65, }, 
	["Absolution"] = { class = "PALADIN", level = 66, }, 
	["Aura Mastery"] = { class = "PALADIN", level = 70, }, 
	["Guardian of Ancient Kings"] = { class = "PALADIN", level = 70, }, 
	["Retribution"] = { class = "PALADIN", level = 70, }, 
	["Mastery: Divine Bulwark"] = { class = "PALADIN", level = 78, }, 
	["Mastery: Hand of Light"] = { class = "PALADIN", level = 78, }, 
	["Mastery: Lightbringer"] = { class = "PALADIN", level = 78, }, 
	["Avenging Wrath"] = { class = "PALADIN", level = 80, }, 
--++ Paladin Talents ++	
	["Bestow Faith"] = { class = "PALADIN", level = 15, }, 
	["Blessed Hammer"] = { class = "PALADIN", level = 15, }, 
	["Crusader's Might"] = { class = "PALADIN", level = 15, }, 
	["Execution Sentence"] = { class = "PALADIN", level = 15, }, 
	["Holy Shield"] = { class = "PALADIN", level = 15, }, 
	["Light's Hammer"] = { class = "PALADIN", level = 15, }, 
	["Redoubt"] = { class = "PALADIN", level = 15, }, 
	["Righteous Verdict"] = { class = "PALADIN", level = 15, }, 
	["Zeal"] = { class = "PALADIN", level = 15, }, 
	["Bastion of Light"] = { class = "PALADIN", level = 30, }, 
	["Blade of Wrath"] = { class = "PALADIN", level = 30, }, 
	["Cavalier"] = { class = "PALADIN", level = 30, }, 
	["Crusader's Judgment"] = { class = "PALADIN", level = 30, }, 
	["Fires of Justice"] = { class = "PALADIN", level = 30, }, 
	["First Avenger"] = { class = "PALADIN", level = 30, }, 
	["Hammer of Wrath"] = { class = "PALADIN", level = 30, }, 
	["Rule of Law"] = { class = "PALADIN", level = 30, }, 
	["Blinding Light"] = { class = "PALADIN", level = 45, }, 
	["Fist of Justice"] = { class = "PALADIN", level = 45, }, 
	["Repentance"] = { class = "PALADIN", level = 45, }, 
	["Aura of Mercy"] = { class = "PALADIN", level = 60, }, 
	["Aura of Sacrifice"] = { class = "PALADIN", level = 60, }, 
	["Blessing of Spellwarding"] = { class = "PALADIN", level = 60, }, 
	["Consecration"] = { class = "PALADIN", level = 60, }, 
	["Devotion Aura"] = { class = "PALADIN", level = 60, }, 
	["Divine Judgment"] = { class = "PALADIN", level = 60, }, 
	["Retribution Aura"] = { class = "PALADIN", level = 60, }, 
	["Wake of Ashes"] = { class = "PALADIN", level = 60, }, 
	["Eye for an Eye"] = { class = "PALADIN", level = 75, }, 
	["Final Stand"] = { class = "PALADIN", level = 75, }, 
	["Hand of the Protector"] = { class = "PALADIN", level = 75, }, 
	["Holy Avenger"] = { class = "PALADIN", level = 75, }, 
	["Holy Prism"] = { class = "PALADIN", level = 75, }, 
	["Judgment of Light"] = { class = "PALADIN", level = 75, }, 
	["Unbreakable Spirit"] = { class = "PALADIN", level = 75, }, 
	["Aegis of Light"] = { class = "PALADIN", level = 90, }, 
	["Avenging Crusader"] = { class = "PALADIN", level = 90, }, 
	["Awakening"] = { class = "PALADIN", level = 90, }, 
	["Consecrated Ground"] = { class = "PALADIN", level = 90, }, 
	["Justicar's Vengeance"] = { class = "PALADIN", level = 90, }, 
	["Sanctified Wrath"] = { class = "PALADIN", level = 90, }, 
	["Selfless Healer"] = { class = "PALADIN", level = 90, }, 
	["Word of Glory"] = { class = "PALADIN", level = 90, }, 
	["Beacon of Faith"] = { class = "PALADIN", level = 100, }, 
	["Beacon of Virtue"] = { class = "PALADIN", level = 100, }, 
	["Crusade"] = { class = "PALADIN", level = 100, }, 
	["Divine Purpose"] = { class = "PALADIN", level = 100, }, 
	["Inquisition"] = { class = "PALADIN", level = 100, }, 
	["Last Defender"] = { class = "PALADIN", level = 100, }, 
	["Righteous Protector"] = { class = "PALADIN", level = 100, }, 
	["Seraphim"] = { class = "PALADIN", level = 100, }, 
--++ Paladin PvP Talents ++	
	["Avenging Light"] = { class = "PALADIN", level = 40, }, 
	["Blessed Hands"] = { class = "PALADIN", level = 40, }, 
	["Cleanse the Weak"] = { class = "PALADIN", level = 40, }, 
	["Darkest before the Dawn"] = { class = "PALADIN", level = 40, }, 
	["Divine Favor"] = { class = "PALADIN", level = 40, }, 
	["Divine Punisher"] = { class = "PALADIN", level = 40, }, 
	["Divine Vision"] = { class = "PALADIN", level = 40, }, 
	["Guarded by the Light"] = { class = "PALADIN", level = 40, }, 
	["Guardian of the Forgotten Queen"] = { class = "PALADIN", level = 40, }, 
	["Hallowed Ground"] = { class = "PALADIN", level = 40, }, 
	["Holy Ritual"] = { class = "PALADIN", level = 40, }, 
	["Judgments of the Pure"] = { class = "PALADIN", level = 40, }, 
	["Jurisdiction"] = { class = "PALADIN", level = 40, }, 
	["Law and Order"] = { class = "PALADIN", level = 40, }, 
	["Lawbringer"] = { class = "PALADIN", level = 40, }, 
	["Light's Grace"] = { class = "PALADIN", level = 40, }, 
	["Luminescence"] = { class = "PALADIN", level = 40, }, 
	["Pure of Heart"] = { class = "PALADIN", level = 40, }, 
	["Sacred Duty"] = { class = "PALADIN", level = 40, }, 
	["Seraphim's Blessing"] = { class = "PALADIN", level = 40, }, 
	["Shield of Virtue"] = { class = "PALADIN", level = 40, }, 
	["Spreading the Word"] = { class = "PALADIN", level = 40, }, 
	["Steed of Glory"] = { class = "PALADIN", level = 40, }, 
	["Ultimate Sacrifice"] = { class = "PALADIN", level = 40, }, 
	["Unbound Freedom"] = { class = "PALADIN", level = 40, }, 
	["Warrior of Light"] = { class = "PALADIN", level = 40, }, 
	["Hammer of Reckoning"] = { class = "PALADIN", level = 40, }, 
	["Vengeance Aura"] = { class = "PALADIN", level = 40, }, 
	["Cleansing Light"] = { class = "PALADIN", level = 40, }, 
	["Blessing of Sanctuary"] = { class = "PALADIN", level = 40, }, 
	["Ultimate Retribution"] = { class = "PALADIN", level = 40, }, 	--8.1
--++ Priest Abilities ++	
	["Smite"] = { class = "PRIEST", level = 1, }, 
	["Power Word: Barrier"] = { class = "PRIEST", level = 5, }, 
	["Resurrection"] = { class = "PRIEST", level = 14, }, 
	["Power Word: Fortitude"] = { class = "PRIEST", level = 22, }, 
	["Shackle Undead"] = { class = "PRIEST", level = 34, }, 
	["Mind Control"] = { class = "PRIEST", level = 42, }, 
	["Fade"] = { class = "PRIEST", level = 44, }, 
	["Dispel Magic"] = { class = "PRIEST", level = 56, }, 
	["Mass Dispel"] = { class = "PRIEST", level = 80, },
--++ Priest Artifact Traits ++
	["Light of T'uure"] = { class = "PRIEST", level = 100, },
	["Light's Wrath"] = { class = "PRIEST", level = 100, }, 
	["Void Torrent"] = { class = "PRIEST", level = 100, }, 
--++ Priest Azerite Traits ++	
	["Bindings of Fate"] = { class = "PRIEST", level = 110, }, 
	["Blessed Sanctuary"] = { class = "PRIEST", level = 110, }, 
	["Chorus of Insanity"] = { class = "PRIEST", level = 110, }, 
	["Contemptuous Homily"] = { class = "PRIEST", level = 110, }, 
	["Death Throes"] = { class = "PRIEST", level = 110, }, 
	["Depth of the Shadows"] = { class = "PRIEST", level = 110, }, 
	["Enduring Luminescence"] = { class = "PRIEST", level = 110, }, 
	["Everlasting Light"] = { class = "PRIEST", level = 110, }, 
--	["Gift of Forgiveness"] = { class = "PRIEST", level = 110, },  --8.1
	["Harvested Thoughts"] = { class = "PRIEST", level = 110, }, 
	["Moment of Repose"] = { class = "PRIEST", level = 110, }, 
	["Permeating Glow"] = { class = "PRIEST", level = 110, }, 
	["Prayerful Litany"] = { class = "PRIEST", level = 110, }, 
--	["Sacred Flame"] = { class = "PRIEST", level = 110, },  --8.1
	["Sanctum"] = { class = "PRIEST", level = 110, }, 
	["Searing Dialogue"] = { class = "PRIEST", level = 110, }, 
	["Spiteful Apparitions"] = { class = "PRIEST", level = 110, }, 
	["Thought Harvester"] = { class = "PRIEST", level = 110, },  
	["Torment of Torments"] = { class = "PRIEST", level = 110, }, 
	["Weal and Woe"] = { class = "PRIEST", level = 110, }, 
	["Whispers of the Damned"] = { class = "PRIEST", level = 110, }, 
	["Word of Mending"] = { class = "PRIEST", level = 110, }, 
	["Death Denied"] = { class = "PRIEST", level = 110, }, 	--8.1
	["Promise of Deliverance"] = { class = "PRIEST", level = 110, }, 	--8.1	
	["Sudden Revelation"] = { class = "PRIEST", level = 110, }, 	--8.1	
--++ Priest Specializations ++	
	["Shadow Word: Pain"] = { class = "PRIEST", level = 3, }, 
	["Flash Heal"] = { class = "PRIEST", level = 5, }, 
	["Power Word: Shield"] = { class = "PRIEST", level = 8, }, 
	["Holy Fire"] = { class = "PRIEST", level = 10, }, 
	["Holy Word: Serenity"] = { class = "PRIEST", level = 10, }, 
	["Mind Blast"] = { class = "PRIEST", level = 10, }, 
	["Mind Flay"] = { class = "PRIEST", level = 10, }, 
	["Penance"] = { class = "PRIEST", level = 10, }, 
	["Renew"] = { class = "PRIEST", level = 12, }, 
	["Shadowform"] = { class = "PRIEST", level = 12, }, 
	["Mind Vision"] = { class = "PRIEST", level = 13, }, 
	["Holy Word: Chastise"] = { class = "PRIEST", level = 16, }, 
	["Psychic Scream"] = { class = "PRIEST", level = 18, }, 
	["Atonement"] = { class = "PRIEST", level = 20, }, 
	["Holy Words"] = { class = "PRIEST", level = 20, }, 
	["Void Bolt"] = { class = "PRIEST", level = 20, }, 
	["Void Eruption"] = { class = "PRIEST", level = 20, }, 
	["Voidform"] = { class = "PRIEST", level = 20, }, 
	["Purify"] = { class = "PRIEST", level = 22, }, 
	["Purify Disease"] = { class = "PRIEST", level = 22, }, 
	["Heal"] = { class = "PRIEST", level = 24, }, 
	["Vampiric Touch"] = { class = "PRIEST", level = 24, }, 
	["Desperate Prayer"] = { class = "PRIEST", level = 26, }, 
	["Mind Sear"] = { class = "PRIEST", level = 26, }, 
	["Prayer of Healing"] = { class = "PRIEST", level = 28, }, 
	["Shadow Mend"] = { class = "PRIEST", level = 28, }, 
	["Shadow Word: Death"] = { class = "PRIEST", level = 28, }, 
	["Vampiric Embrace"] = { class = "PRIEST", level = 28, }, 
	["Levitate"] = { class = "PRIEST", level = 32, }, 
	["Spirit of Redemption"] = { class = "PRIEST", level = 32, }, 
	["Holy Nova"] = { class = "PRIEST", level = 33, }, 
	["Focused Will"] = { class = "PRIEST", level = 38, }, 
	["Shadowy Apparitions"] = { class = "PRIEST", level = 38, }, 
	["Holy Word: Sanctify"] = { class = "PRIEST", level = 40, }, 
	["Shadowfiend"] = { class = "PRIEST", level = 40, }, 
	["Guardian Spirit"] = { class = "PRIEST", level = 44, }, 
	["Dispersion"] = { class = "PRIEST", level = 28, },   --8.1
	["Pain Suppression"] = { class = "PRIEST", level = 48, }, 
	["Prayer of Mending"] = { class = "PRIEST", level = 50, }, 
	["Rapture"] = { class = "PRIEST", level = 50, }, 
	["Power Word: Radiance"] = { class = "PRIEST", level = 52, }, 
	["Silence"] = { class = "PRIEST", level = 52, }, 
	["Power of the Dark Side"] = { class = "PRIEST", level = 58, }, 
	["Hallucinations"] = { class = "PRIEST", level = 58, },   --8.1	
	["Leap of Faith"] = { class = "PRIEST", level = 63, }, 
	["Mass Resurrection"] = { class = "PRIEST", level = 66, }, 
	["Divine Hymn"] = { class = "PRIEST", level = 70, }, 
	["Mastery: Echo of Light"] = { class = "PRIEST", level = 78, }, 
	["Mastery: Grace"] = { class = "PRIEST", level = 78, }, 
	["Mastery: Madness"] = { class = "PRIEST", level = 78, }, 
	["Symbol of Hope"] = { class = "PRIEST", level = 85, }, 
--++ Priest Talents ++	
	["Castigation"] = { class = "PRIEST", level = 15, }, 
	["Enduring Renewal"] = { class = "PRIEST", level = 15, }, 
	["Enlightenment"] = { class = "PRIEST", level = 15, }, 
	["Fortress of the Mind"] = { class = "PRIEST", level = 15, }, 
	["Schism"] = { class = "PRIEST", level = 15, }, 
	["Shadow Word: Void"] = { class = "PRIEST", level = 15, }, 
	["Shadowy Insight"] = { class = "PRIEST", level = 15, }, 
	["Trail of Light"] = { class = "PRIEST", level = 15, }, 
	["Twist of Fate"] = { class = "PRIEST", level = 15, }, 
	["Angel's Mercy"] = { class = "PRIEST", level = 30, }, 
	["Angelic Feather"] = { class = "PRIEST", level = 30, }, 
	["Body and Soul"] = { class = "PRIEST", level = 30, }, 
--	["Mania"] = { class = "PRIEST", level = 30, },   --8.1
	["Intangibility"] = { class = "PRIEST", level = 30, },   --8.1	
	["Masochism"] = { class = "PRIEST", level = 30, }, 
	["Perseverance"] = { class = "PRIEST", level = 30, }, 
	["San'layn"] = { class = "PRIEST", level = 30, }, 
	["Cosmic Ripple"] = { class = "PRIEST", level = 45, }, 
	["Dark Void"] = { class = "PRIEST", level = 45, }, 
	["Guardian Angel"] = { class = "PRIEST", level = 45, }, 
	["Mindbender"] = { class = "PRIEST", level = 45, }, 
	["Misery"] = { class = "PRIEST", level = 45, }, 
	["Power Word: Solace"] = { class = "PRIEST", level = 45, }, 
	["Shield Discipline"] = { class = "PRIEST", level = 45, }, 
	["Censure"] = { class = "PRIEST", level = 60, }, 
	["Dominant Mind"] = { class = "PRIEST", level = 60, }, 
	["Last Word"] = { class = "PRIEST", level = 60, }, 
	["Mind Bomb"] = { class = "PRIEST", level = 60, }, 
	["Psychic Horror"] = { class = "PRIEST", level = 60, }, 
	["Psychic Voice"] = { class = "PRIEST", level = 60, }, 
	["Shining Force"] = { class = "PRIEST", level = 60, }, 
	["Auspicious Spirits"] = { class = "PRIEST", level = 75, }, 
	["Binding Heal"] = { class = "PRIEST", level = 75, }, 
	["Circle of Healing"] = { class = "PRIEST", level = 75, }, 
	["Contrition"] = { class = "PRIEST", level = 75, }, 
	["Shadow Covenant"] = { class = "PRIEST", level = 75, }, 
	["Shadow Crash"] = { class = "PRIEST", level = 75, }, 
	["Sins of the Many"] = { class = "PRIEST", level = 75, }, 
	["Surge of Light"] = { class = "PRIEST", level = 75, }, 
	["Benediction"] = { class = "PRIEST", level = 90, }, 
	["Divine Star"] = { class = "PRIEST", level = 90, }, 
	["Halo"] = { class = "PRIEST", level = 90, }, 
	["Lingering Insanity"] = { class = "PRIEST", level = 90, }, 
	["Purge the Wicked"] = { class = "PRIEST", level = 90, }, 
	["Void Torrent"] = { class = "PRIEST", level = 90, }, 
	["Apotheosis"] = { class = "PRIEST", level = 100, }, 
	["Dark Ascension"] = { class = "PRIEST", level = 100, }, 
	["Evangelism"] = { class = "PRIEST", level = 100, }, 
	["Holy Word: Salvation"] = { class = "PRIEST", level = 100, }, 
	["Legacy of the Void"] = { class = "PRIEST", level = 100, }, 
	["Lenience"] = { class = "PRIEST", level = 100, }, 
	["Light of the Naaru"] = { class = "PRIEST", level = 100, }, 
	["Luminous Barrier"] = { class = "PRIEST", level = 100, }, 
	["Surrender to Madness"] = { class = "PRIEST", level = 100, }, 
--++ Priest PvP Talents ++	
	["Archangel"] = { class = "PRIEST", level = 40, }, 
	["Dark Archangel"] = { class = "PRIEST", level = 40, }, 
	["Delivered from Evil"] = { class = "PRIEST", level = 40, }, 
	["Divine Attendant"] = { class = "PRIEST", level = 40, }, 
	["Dome of Light"] = { class = "PRIEST", level = 40, }, 
	["Driven to Madness"] = { class = "PRIEST", level = 40, }, 
	["Edge of Insanity"] = { class = "PRIEST", level = 40, }, 
	["Greater Heal"] = { class = "PRIEST", level = 40, }, 
--	["Hallucinations"] = { class = "PRIEST", level = 40, },   --8.1
	["Holy Word: Concentration"] = { class = "PRIEST", level = 40, }, --8.1 update
	["Inner Focus"] = { class = "PRIEST", level = 40, }, 
	["Mind Trauma"] = { class = "PRIEST", level = 40, }, 
	["Miracle Worker"] = { class = "PRIEST", level = 40, }, 
	["Premonition"] = { class = "PRIEST", level = 40, }, 
	["Psychic Link"] = { class = "PRIEST", level = 40, }, 
	["Psyfiend"] = { class = "PRIEST", level = 40, }, 
	["Pure Shadow"] = { class = "PRIEST", level = 40, }, 
	["Purification"] = { class = "PRIEST", level = 40, }, 
	["Purified Resolve"] = { class = "PRIEST", level = 40, }, 
	["Rapid Mending"] = { class = "PRIEST", level = 40, }, 
	["Ray of Hope"] = { class = "PRIEST", level = 40, }, 
	["Searing Light"] = { class = "PRIEST", level = 40, }, 
	["Shadow Mania"] = { class = "PRIEST", level = 40, }, 
	["Spirit of the Redeemer"] = { class = "PRIEST", level = 40, }, 
	["Strength of Soul"] = { class = "PRIEST", level = 40, }, 
	["Trinity"] = { class = "PRIEST", level = 40, }, 
	["Ultimate Radiance"] = { class = "PRIEST", level = 40, }, 
	["Void Origins"] = { class = "PRIEST", level = 40, }, 
	["Void Shield"] = { class = "PRIEST", level = 40, }, 
	["Holy Ward"] = { class = "PRIEST", level = 40, }, 
	["Greater Fade"] = { class = "PRIEST", level = 40, }, 
	["Void Shift"] = { class = "PRIEST", level = 40, }, 
--++ Rogue Abilities ++	
	["Detection"] = { class = "ROGUE", level = 1, }, 
	["Crimson Vial"] = { class = "ROGUE", level = 16, }, 
	["Kick"] = { class = "ROGUE", level = 18, }, 
	["Pick Lock"] = { class = "ROGUE", level = 24, }, 
	["Sprint"] = { class = "ROGUE", level = 32, }, 
	["Detect Traps"] = { class = "ROGUE", level = 42, }, 
	["Feint"] = { class = "ROGUE", level = 44, }, 
	["Fleet Footed"] = { class = "ROGUE", level = 58, }, 
	["Safe Fall"] = { class = "ROGUE", level = 62, }, 
	["Shroud of Concealment"] = { class = "ROGUE", level = 68, }, 
	["Tricks of the Trade"] = { class = "ROGUE", level = 70, }, 
	["Cloak of Shadows"] = { class = "ROGUE", level = 80, }, 
--++ Rogue Artifact Traits ++
	["Curse of the Dreadblades"] = { class = "ROGUE", level = 100, },
	["Goremaw's Bite"] = { class = "ROGUE", level = 100, },
	["Kingsbane"] = { class = "ROGUE", level = 100, }, 
--++ Rogue Azerite Traits ++	
	["Ace Up Your Sleeve"] = { class = "ROGUE", level = 110, }, 
	["Blade In The Shadows"] = { class = "ROGUE", level = 110, }, 
	["Brigand's Blitz"] = { class = "ROGUE", level = 110, }, 
	["Contaminant"] = { class = "ROGUE", level = 110, }, 
	["Deadshot"] = { class = "ROGUE", level = 110, }, 
	["Double Dose"] = { class = "ROGUE", level = 110, }, 
--	["Fan of Blades"] = { class = "ROGUE", level = 110, },   --8.1
	["Footpad"] = { class = "ROGUE", level = 110, }, 
	["Inevitability"] = { class = "ROGUE", level = 110, }, 
	["Night's Vengeance"] = { class = "ROGUE", level = 110, }, 
	["Paradise Lost"] = { class = "ROGUE", level = 110, }, 
	["Perforate"] = { class = "ROGUE", level = 110, }, 
--	["Poisoned Wire"] = { class = "ROGUE", level = 110, },   --8.1
--	["Sharpened Blades"] = { class = "ROGUE", level = 110, },  --8.1
	["Shrouded Mantle"] = { class = "ROGUE", level = 110, }, 
	["Shrouded Suffocation"] = { class = "ROGUE", level = 110, }, 
	["Snake Eyes"] = { class = "ROGUE", level = 110, }, 
	["Storm of Steel"] = { class = "ROGUE", level = 110, }, 
	["Swashbuckler"] = { class = "ROGUE", level = 110, }, 
	["The First Dance"] = { class = "ROGUE", level = 110, }, 
	["Twist the Knife"] = { class = "ROGUE", level = 110, },
	["Echoing Blades"] = { class = "ROGUE", level = 110, },  --8.1
	["Keeping Your Wits About You"] = { class = "ROGUE", level = 110, },  --8.1	
	["Lying in Wait"] = { class = "ROGUE", level = 110, },  --8.1	
 	["Nothing Personal"] = { class = "ROGUE", level = 110, },  --8.1
	["Replicating Shadows"] = { class = "ROGUE", level = 110, },  --8.1	
--++ Rogue Specializations ++	
	["Find Treasure"] = { class = "ROGUE", level = 1, }, 
	["Eviscerate"] = { class = "ROGUE", level = 3, }, 
	["Stealth"] = { class = "ROGUE", level = 5, }, 
	["Cheap Shot"] = { class = "ROGUE", level = 8, }, 
	["Backstab"] = { class = "ROGUE", level = 10, }, 
	["Combat Potency"] = { class = "ROGUE", level = 10, }, 
	["Deadly Poison"] = { class = "ROGUE", level = 10, }, 
	["Dispatch"] = { class = "ROGUE", level = 10, }, 
	["Energetic Recovery"] = { class = "ROGUE", level = 10, }, 
	["Improved Poisons"] = { class = "ROGUE", level = 10, }, 
	["Pistol Shot"] = { class = "ROGUE", level = 10, }, 
	["Poisoned Knife"] = { class = "ROGUE", level = 10, }, 
	["Shuriken Toss"] = { class = "ROGUE", level = 10, }, 
	["Sinister Strike"] = { class = "ROGUE", level = 10, }, 
	["Garrote"] = { class = "ROGUE", level = 12, }, 
	["Shadowstrike"] = { class = "ROGUE", level = 12, }, 
	["Pick Pocket"] = { class = "ROGUE", level = 13, }, 
	["Sap"] = { class = "ROGUE", level = 14, }, 
	["Between the Eyes"] = { class = "ROGUE", level = 20, }, 
	["Cut to the Chase"] = { class = "ROGUE", level = 20, }, 
	["Nightblade"] = { class = "ROGUE", level = 20, }, 
	["Rupture"] = { class = "ROGUE", level = 20, }, 
	["Ambush"] = { class = "ROGUE", level = 22, }, 
	["Grappling Hook"] = { class = "ROGUE", level = 22, }, 
	["Shadowstep"] = { class = "ROGUE", level = 22, }, 
	["Blind"] = { class = "ROGUE", level = 24, }, 
	["Evasion"] = { class = "ROGUE", level = 26, }, 
	["Ruthlessness"] = { class = "ROGUE", level = 28, }, 
	["Seal Fate"] = { class = "ROGUE", level = 28, }, 
	["Shadow Techniques"] = { class = "ROGUE", level = 28, }, 
	["Gouge"] = { class = "ROGUE", level = 34, }, 
	["Kidney Shot"] = { class = "ROGUE", level = 34, }, 
	["Envenom"] = { class = "ROGUE", level = 36, }, 
	["Symbols of Death"] = { class = "ROGUE", level = 36, }, 
	["Crippling Poison"] = { class = "ROGUE", level = 38, }, 
	["Distract"] = { class = "ROGUE", level = 38, }, 
	["Mutilate"] = { class = "ROGUE", level = 40, }, 
	["Roll the Bones"] = { class = "ROGUE", level = 40, }, 
	["Shadow Dance"] = { class = "ROGUE", level = 40, }, 
	["Shadow's Grasp"] = { class = "ROGUE", level = 40, }, 
	["Vanish"] = { class = "ROGUE", level = 48, }, 
	["Relentless Strikes"] = { class = "ROGUE", level = 50, }, 
	["Restless Blades"] = { class = "ROGUE", level = 50, }, 
	["Venomous Wounds"] = { class = "ROGUE", level = 50, }, 
	["Deepening Shadows"] = { class = "ROGUE", level = 54, }, 
	["Wound Poison"] = { class = "ROGUE", level = 54, }, 
	["Adrenaline Rush"] = { class = "ROGUE", level = 56, }, 
	["Shadow Blades"] = { class = "ROGUE", level = 56, }, 
	["Vendetta"] = { class = "ROGUE", level = 56, }, 
	["Blade Flurry"] = { class = "ROGUE", level = 63, }, 
	["Fan of Knives"] = { class = "ROGUE", level = 63, }, 
	["Shuriken Storm"] = { class = "ROGUE", level = 63, }, 
	["Shuriken Combo"] = { class = "ROGUE", level = 70, }, 
	["Mastery: Executioner"] = { class = "ROGUE", level = 78, }, 
	["Mastery: Main Gauche"] = { class = "ROGUE", level = 78, }, 
	["Mastery: Potent Assassin"] = { class = "ROGUE", level = 78, }, 
--++ Rogue Talents ++	
	["Blindside"] = { class = "ROGUE", level = 15, }, 
	["Elaborate Planning"] = { class = "ROGUE", level = 15, }, 
	["Find Weakness"] = { class = "ROGUE", level = 15, }, 
	["Ghostly Strike"] = { class = "ROGUE", level = 15, }, 
	["Gloomblade"] = { class = "ROGUE", level = 15, }, 
	["Master Poisoner"] = { class = "ROGUE", level = 15, }, 
	["Quick Draw"] = { class = "ROGUE", level = 15, }, 
	["Weaponmaster"] = { class = "ROGUE", level = 15, }, 
	["Acrobatic Strikes"] = { class = "ROGUE", level = 30, }, 
	["Hit and Run"] = { class = "ROGUE", level = 30, }, 
	["Master Assassin"] = { class = "ROGUE", level = 30, }, 
	["Nightstalker"] = { class = "ROGUE", level = 30, }, 
	["Retractable Hook"] = { class = "ROGUE", level = 30, }, 
	["Shadow Focus"] = { class = "ROGUE", level = 30, }, 
	["Subterfuge"] = { class = "ROGUE", level = 30, }, 
	["Deeper Stratagem"] = { class = "ROGUE", level = 45, }, 
	["Marked for Death"] = { class = "ROGUE", level = 45, }, 
	["Vigor"] = { class = "ROGUE", level = 45, }, 
	["Cheat Death"] = { class = "ROGUE", level = 60, }, 
	["Elusiveness"] = { class = "ROGUE", level = 60, }, 
	["Iron Stomach"] = { class = "ROGUE", level = 60, }, 
	["Leeching Poison"] = { class = "ROGUE", level = 60, }, 
	["Soothing Darkness"] = { class = "ROGUE", level = 60, }, 
	["Blinding Powder"] = { class = "ROGUE", level = 75, }, 
	["Dirty Tricks"] = { class = "ROGUE", level = 75, }, 
	["Internal Bleeding"] = { class = "ROGUE", level = 75, }, 
	["Iron Wire"] = { class = "ROGUE", level = 75, }, 
	["Night Terrors"] = { class = "ROGUE", level = 75, }, 
	["Prey on the Weak"] = { class = "ROGUE", level = 75, }, 
	["Shot in the Dark"] = { class = "ROGUE", level = 75, }, 
	["Alacrity"] = { class = "ROGUE", level = 90, }, 
	["Dark Shadow"] = { class = "ROGUE", level = 90, }, 
	["Enveloping Shadows"] = { class = "ROGUE", level = 90, }, 
	["Exsanguinate"] = { class = "ROGUE", level = 90, }, 
	["Loaded Dice"] = { class = "ROGUE", level = 90, }, 
	["Slice and Dice"] = { class = "ROGUE", level = 90, }, 
	["Toxic Blade"] = { class = "ROGUE", level = 90, }, 
	["Venom Rush"] = { class = "ROGUE", level = 90, }, 
	["Blade Rush"] = { class = "ROGUE", level = 100, }, 
	["Crimson Tempest"] = { class = "ROGUE", level = 100, }, 
	["Dancing Steel"] = { class = "ROGUE", level = 100, }, 
	["Hidden Blades"] = { class = "ROGUE", level = 100, }, 
	["Killing Spree"] = { class = "ROGUE", level = 100, }, 
	["Master of Shadows"] = { class = "ROGUE", level = 100, }, 
	["Poison Bomb"] = { class = "ROGUE", level = 100, }, 
	["Secret Technique"] = { class = "ROGUE", level = 100, }, 
	["Shuriken Tornado"] = { class = "ROGUE", level = 100, }, 
--++ Rogue PvP Talents ++	
	["Boarding Party"] = { class = "ROGUE", level = 40, }, 
	["Cheap Tricks"] = { class = "ROGUE", level = 40, }, 
	["Cold Blood"] = { class = "ROGUE", level = 40, }, 
	["Control is King"] = { class = "ROGUE", level = 40, }, 
	["Creeping Venom"] = { class = "ROGUE", level = 40, }, 
	["Dagger in the Dark"] = { class = "ROGUE", level = 40, }, 
	["Deadly Brew"] = { class = "ROGUE", level = 40, }, 
	["Death from Above"] = { class = "ROGUE", level = 40, }, 
	["Drink Up Me Hearties"] = { class = "ROGUE", level = 40, }, 
	["Flying Daggers"] = { class = "ROGUE", level = 40, }, 
	["Honor Among Thieves"] = { class = "ROGUE", level = 40, }, 
	["Intent to Kill"] = { class = "ROGUE", level = 40, }, 
	["Maneuverability"] = { class = "ROGUE", level = 40, }, 
	["Mind-Numbing Poison"] = { class = "ROGUE", level = 40, }, 
	["Neurotoxin"] = { class = "ROGUE", level = 40, }, 
	["Phantom Assassin"] = { class = "ROGUE", level = 40, }, 
	["Plunder Armor"] = { class = "ROGUE", level = 40, }, 
	["Shadowy Duel"] = { class = "ROGUE", level = 40, }, 
	["Silhouette"] = { class = "ROGUE", level = 40, }, 
	["System Shock"] = { class = "ROGUE", level = 40, }, 
	["Take Your Cut"] = { class = "ROGUE", level = 40, }, 
	["Thick as Thieves"] = { class = "ROGUE", level = 40, }, 
	["Thief's Bargain"] = { class = "ROGUE", level = 40, }, 
	["Turn the Tables"] = { class = "ROGUE", level = 40, }, 
	["Veil of Midnight"] = { class = "ROGUE", level = 40, }, 
	["Dismantle"] = { class = "ROGUE", level = 40, }, 
	["Shiv"] = { class = "ROGUE", level = 40, }, 
	["Smoke Bomb"] = { class = "ROGUE", level = 40, }, 
--++ Shaman Abilities ++	
	["Earthbind Totem"] = { class = "SHAMAN", level = 8, }, 
	["Far Sight"] = { class = "SHAMAN", level = 13, }, 
	["Ancestral Spirit"] = { class = "SHAMAN", level = 14, }, 
	["Ghost Wolf"] = { class = "SHAMAN", level = 16, }, 
	["Reincarnation"] = { class = "SHAMAN", level = 26, }, 
	["Water Walking"] = { class = "SHAMAN", level = 32, }, 
	["Hex"] = { class = "SHAMAN", level = 42, }, 
	["Astral Recall"] = { class = "SHAMAN", level = 44, }, 
	["Capacitor Totem"] = { class = "SHAMAN", level = 44, }, 
	["Bloodlust"] = { class = "SHAMAN", level = 50, }, 
	["Heroism"] = { class = "SHAMAN", level = 50, }, 
	["Astral Shift"] = { class = "SHAMAN", level = 52, }, 
	["Tremor Totem"] = { class = "SHAMAN", level = 58, }, 
	["Purge"] = { class = "SHAMAN", level = 63, }, 
--++ Shaman Artifact Traits ++
	["Doom Winds"] = { class = "SHAMAN", level = 100, }, 
	["Gift of the Queen"] = { class = "SHAMAN", level = 100, }, 
	["Stormkeeper"] = { class = "SHAMAN", level = 100, }, 	
--++ Shaman Azerite Traits ++	
	["Ancestral Reach"] = { class = "SHAMAN", level = 110, }, 
	["Ancestral Resonance"] = { class = "SHAMAN", level = 110, }, 
--	["Astral Shift"] = { class = "SHAMAN", level = 110, }, 
	["Echo of the Elementals"] = { class = "SHAMAN", level = 110, }, 
	["Electropotence"] = { class = "SHAMAN", level = 110, }, 
	["Flames of the Forefathers"] = { class = "SHAMAN", level = 110, }, 
	["Healing Way"] = { class = "SHAMAN", level = 110, }, 
	["Igneous Potential"] = { class = "SHAMAN", level = 110, }, 
	["Lava Shock"] = { class = "SHAMAN", level = 110, }, 
--	["Lightning Conduit"] = { class = "SHAMAN", level = 110, },  --8.1
	["Lightningburn"] = { class = "SHAMAN", level = 110, }, 
	["Natural Harmony"] = { class = "SHAMAN", level = 110, }, 
	["Overflowing Shores"] = { class = "SHAMAN", level = 110, }, 
	["Pack Spirit"] = { class = "SHAMAN", level = 110, }, 
	["Primal Primer"] = { class = "SHAMAN", level = 110, }, 
	["Roiling Storm"] = { class = "SHAMAN", level = 110, }, 
--	["Rumbling Tremors"] = { class = "SHAMAN", level = 110, },  --8.1
	["Serene Spirit"] = { class = "SHAMAN", level = 110, }, 
	["Spouting Spirits"] = { class = "SHAMAN", level = 110, }, 
	["Storm's Eye"] = { class = "SHAMAN", level = 110, }, 
	["Strength of Earth"] = { class = "SHAMAN", level = 110, }, 
	["Striker's Grace"] = { class = "SHAMAN", level = 110, }, 
	["Surging Tides"] = { class = "SHAMAN", level = 110, }, 
	["Synapse Shock"] = { class = "SHAMAN", level = 110, }, 
	["Volcanic Lightning"] = { class = "SHAMAN", level = 110, }, 
	["Ancient Ankh Talisman"] = { class = "SHAMAN", level = 110, },  --8.1	
	["Tectonic Thunder"] = { class = "SHAMAN", level = 110, },  --8.1	
	["Thunderaan's Fury"] = { class = "SHAMAN", level = 110, },  --8.1		
	["Turn of the Tide"] = { class = "SHAMAN", level = 110, },  --8.1		
--++ Shaman Specializations ++	
	["Fulmination"] = { class = "SHAMAN", level = 1, }, 
	["Lightning Bolt"] = { class = "SHAMAN", level = 1, }, 
	["Flame Shock"] = { class = "SHAMAN", level = 3, }, 
	["Maelstrom Controller"] = { class = "SHAMAN", level = 3, }, 
	["Healing Surge"] = { class = "SHAMAN", level = 5, }, 
	["Earth Shock"] = { class = "SHAMAN", level = 10, }, 
	["Lava Lash"] = { class = "SHAMAN", level = 10, }, 
	["Maelstrom"] = { class = "SHAMAN", level = 10, }, 
	["Riptide"] = { class = "SHAMAN", level = 10, }, 
	["Rockbiter"] = { class = "SHAMAN", level = 10, }, 
	["Flametongue"] = { class = "SHAMAN", level = 12, }, 
	["Lava Burst"] = { class = "SHAMAN", level = 12, }, 
	["Healing Stream Totem"] = { class = "SHAMAN", level = 14, }, 
	["Wind Shear"] = { class = "SHAMAN", level = 18, }, 
	["Chain Heal"] = { class = "SHAMAN", level = 20, }, 
	["Stormstrike"] = { class = "SHAMAN", level = 20, }, 
	["Cleanse Spirit"] = { class = "SHAMAN", level = 22, }, 
	["Purify Spirit"] = { class = "SHAMAN", level = 22, }, 
	["Healing Wave"] = { class = "SHAMAN", level = 24, }, 
	["Thunderstorm"] = { class = "SHAMAN", level = 24, }, 
	["Windfury"] = { class = "SHAMAN", level = 24, }, 
	["Chain Lightning"] = { class = "SHAMAN", level = 28, }, 
	["Crash Lightning"] = { class = "SHAMAN", level = 28, }, 
	["Mastery: Elemental Overload"] = { class = "SHAMAN", level = 29, }, 
	["Elemental Fury"] = { class = "SHAMAN", level = 34, }, 
	["Feral Spirit"] = { class = "SHAMAN", level = 34, }, 
	["Tidal Waves"] = { class = "SHAMAN", level = 34, }, 
	["Earth Elemental"] = { class = "SHAMAN", level = 36, }, 
	["Frost Shock"] = { class = "SHAMAN", level = 38, }, 
	["Frostbrand"] = { class = "SHAMAN", level = 38, }, 
	["Spiritwalker's Grace"] = { class = "SHAMAN", level = 38, }, 
	["Healing Rain"] = { class = "SHAMAN", level = 40, }, 
	["Lava Surge"] = { class = "SHAMAN", level = 40, }, 
	["Maelstrom Weapon"] = { class = "SHAMAN", level = 40, }, 
	["Earthquake"] = { class = "SHAMAN", level = 48, }, 
	["Resurgence"] = { class = "SHAMAN", level = 48, }, 
	["Stormbringer"] = { class = "SHAMAN", level = 48, }, 
	["Fire Elemental"] = { class = "SHAMAN", level = 56, }, 
	["Spirit Link Totem"] = { class = "SHAMAN", level = 56, }, 
	["Ancestral Vision"] = { class = "SHAMAN", level = 66, }, 
	["Mastery: Deep Healing"] = { class = "SHAMAN", level = 78, }, 
	["Mastery: Enhanced Elements"] = { class = "SHAMAN", level = 78, }, 
	["Healing Tide Totem"] = { class = "SHAMAN", level = 80, }, 
--	["Spirit Walk"] = { class = "SHAMAN", level = 80, }, 
--++ Shaman Talents ++	
	["Boulderfist"] = { class = "SHAMAN", level = 15, }, 
	["Elemental Blast"] = { class = "SHAMAN", level = 15, }, 
	["Exposed Elements"] = { class = "SHAMAN", level = 15, }, 
	["Hot Hand"] = { class = "SHAMAN", level = 15, }, 
	["Lightning Shield"] = { class = "SHAMAN", level = 15, }, 
	["Torrent"] = { class = "SHAMAN", level = 15, }, 
	["Undulation"] = { class = "SHAMAN", level = 15, }, 
	["Aftershock"] = { class = "SHAMAN", level = 30, }, 
	["Call of Thunder"] = { class = "SHAMAN", level = 30, },	--8.1
	["Deluge"] = { class = "SHAMAN", level = 30, }, 
	["Echo of the Elements"] = { class = "SHAMAN", level = 30, }, 
	["Forceful Winds"] = { class = "SHAMAN", level = 30, }, 
	["Landslide"] = { class = "SHAMAN", level = 30, }, 
	["Master of the Elements"] = { class = "SHAMAN", level = 60, },   --8.1 Change
	["Totem Mastery"] = { class = "SHAMAN", level = 30, }, 
	["Earth Shield"] = { class = "SHAMAN", level = 45, }, 
	["Earthgrab Totem"] = { class = "SHAMAN", level = 45, }, 
	["Spirit Wolf"] = { class = "SHAMAN", level = 45, }, 
	["Static Charge"] = { class = "SHAMAN", level = 45, }, 
	["Ancestral Protection Totem"] = { class = "SHAMAN", level = 60, }, 
	["Ancestral Vigor"] = { class = "SHAMAN", level = 60, }, 
	["Earthen Wall Totem"] = { class = "SHAMAN", level = 60, }, 
	["Hailstorm"] = { class = "SHAMAN", level = 60, }, 
	["High Voltage"] = { class = "SHAMAN", level = 60, }, 
	["Liquid Magma Totem"] = { class = "SHAMAN", level = 60, }, 
	["Overcharge"] = { class = "SHAMAN", level = 60, }, 
	["Searing Assault"] = { class = "SHAMAN", level = 60, }, 
	["Storm Elemental"] = { class = "SHAMAN", level = 60, }, 
	["Ancestral Guidance"] = { class = "SHAMAN", level = 75, }, 
	["Feral Lunge"] = { class = "SHAMAN", level = 75, }, 
	["Graceful Spirit"] = { class = "SHAMAN", level = 75, }, 
	["Nature's Guardian"] = { class = "SHAMAN", level = 75, }, 
	["Wind Rush Totem"] = { class = "SHAMAN", level = 75, }, 
	["Cloudburst Totem"] = { class = "SHAMAN", level = 90, }, 
	["Crashing Storm"] = { class = "SHAMAN", level = 90, }, 
	["Downpour"] = { class = "SHAMAN", level = 90, }, 
	["Earthen Rage"] = { class = "SHAMAN", level = 15, },   --8.1 Change
	["Flash Flood"] = { class = "SHAMAN", level = 90, }, 
	["Fury of Air"] = { class = "SHAMAN", level = 90, }, 
	["Icefury"] = { class = "SHAMAN", level = 90, }, 
	["Primal Elementalist"] = { class = "SHAMAN", level = 90, }, 
	["Sundering"] = { class = "SHAMAN", level = 90, }, 
	["Surge of Power"] = { class = "SHAMAN", level = 90, },  --8.1 Added	 
	["Ascendance"] = { class = "SHAMAN", level = 100, }, 
	["Earthen Spike"] = { class = "SHAMAN", level = 100, }, 
	["Elemental Spirits"] = { class = "SHAMAN", level = 100, }, 
	["High Tide"] = { class = "SHAMAN", level = 100, }, 
	["Stormkeeper"] = { class = "SHAMAN", level = 100, }, 
	["Unlimited Power"] = { class = "SHAMAN", level = 100, }, 
	["Wellspring"] = { class = "SHAMAN", level = 100, }, 
--++ Shaman PvP Talents ++	
	["Calming Waters"] = { class = "SHAMAN", level = 40, }, 
	["Control of Lava"] = { class = "SHAMAN", level = 40, }, 
	["Earthfury"] = { class = "SHAMAN", level = 40, }, 
	["Electrocute"] = { class = "SHAMAN", level = 40, }, 
	["Elemental Attunement"] = { class = "SHAMAN", level = 40, }, 
--	["Forked Lightning"] = { class = "SHAMAN", level = 40, },   --8.1
	["Purifying Waters"] = { class = "SHAMAN", level = 40, }, 
	["Ride the Lightning"] = { class = "SHAMAN", level = 40, },   --8.1 ?
	["Rippling Waters"] = { class = "SHAMAN", level = 40, }, 
	["Shamanism"] = { class = "SHAMAN", level = 40, }, 
	["Spectral Recovery"] = { class = "SHAMAN", level = 40, }, 
	["Swelling Waves"] = { class = "SHAMAN", level = 40, }, 
	["Tidebringer"] = { class = "SHAMAN", level = 40, }, 
	["Traveling Storms"] = { class = "SHAMAN", level = 40, }, 
	["Voodoo Mastery"] = { class = "SHAMAN", level = 40, }, 
--	["Static Cling"] = { class = "SHAMAN", level = 40, },   --8.1
	["Thundercharge"] = { class = "SHAMAN", level = 40, }, 
	["Lightning Lasso"] = { class = "SHAMAN", level = 40, }, 
	["Counterstrike Totem"] = { class = "SHAMAN", level = 40, }, 
	["Skyfury Totem"] = { class = "SHAMAN", level = 40, }, 
	["Grounding Totem"] = { class = "SHAMAN", level = 40, }, 
	["Spirit Link"] = { class = "SHAMAN", level = 40, }, 
	["Ethereal Form"] = { class = "SHAMAN", level = 40, }, 
	["Ancestral Gift"] = { class = "SHAMAN", level = 40, },	--8.1
	["Cleansing Waters"] = { class = "SHAMAN", level = 40, },	--8.1	
--++ Warlock Abilities ++	
	["Felbolt"] = { class = "WARLOCK", level = 1, }, 
	["Summon Imp"] = { class = "WARLOCK", level = 5, }, 
	["Control Demon"] = { class = "WARLOCK", level = 10, }, 
	["Soul Shards"] = { class = "WARLOCK", level = 10, }, 
	["Fear"] = { class = "WARLOCK", level = 16, }, 
	["Create Healthstone"] = { class = "WARLOCK", level = 18, }, 
	["Felsteed"] = { class = "WARLOCK", level = 20, }, 
	["Summon Voidwalker"] = { class = "WARLOCK", level = 20, }, 
	["Health Funnel"] = { class = "WARLOCK", level = 22, }, 
	["Eye of Kilrogg"] = { class = "WARLOCK", level = 24, }, 
	["Unending Breath"] = { class = "WARLOCK", level = 24, }, 
	["Summon Succubus"] = { class = "WARLOCK", level = 28, }, 
	["Banish"] = { class = "WARLOCK", level = 32, }, 
	["Soul Leech"] = { class = "WARLOCK", level = 34, }, 
	["Summon Felhunter"] = { class = "WARLOCK", level = 36, }, 
	["Command Demon"] = { class = "WARLOCK", level = 38, }, 
	["Dreadsteed"] = { class = "WARLOCK", level = 40, }, 
	["Ritual of Summoning"] = { class = "WARLOCK", level = 42, }, 
	["Soulstone"] = { class = "WARLOCK", level = 44, }, 
	["Unending Resolve"] = { class = "WARLOCK", level = 54, }, 
	["Enslave Demon"] = { class = "WARLOCK", level = 56, }, 
	["Demonic Embrace"] = { class = "WARLOCK", level = 63, }, 	 --8.1
	["Create Soulwell"] = { class = "WARLOCK", level = 66, }, 
	["Demonic Gateway"] = { class = "WARLOCK", level = 80, }, 
--++ Warlock Artifact Traits ++
	["Dimensional Rift"] = { class = "WARLOCK", level = 100, }, 
	["Reap Souls"] = { class = "WARLOCK", level = 100, }, 
	["Thal'kiel's Consumption"] = { class = "WARLOCK", level = 100, }, 
--++ Warlock Azerite Traits ++	
--	["Accelerant"] = { class = "WARLOCK", level = 110, },   --8.1
	["Bursting Flare"] = { class = "WARLOCK", level = 110, }, 
	["Cascading Calamity"] = { class = "WARLOCK", level = 110, }, 
	["Chaotic Inferno"] = { class = "WARLOCK", level = 110, }, 
	["Crashing Chaos"] = { class = "WARLOCK", level = 110, }, 
	["Demonic Meteor"] = { class = "WARLOCK", level = 110, }, 
	["Desperate Power"] = { class = "WARLOCK", level = 110, }, 
	["Dreadful Calling"] = { class = "WARLOCK", level = 110, }, 
--	["Forbidden Knowledge"] = { class = "WARLOCK", level = 110, },   --8.1
	["Inevitable Demise"] = { class = "WARLOCK", level = 110, }, 
	["Lifeblood"] = { class = "WARLOCK", level = 110, }, 
	["Meteoric Flare"] = { class = "WARLOCK", level = 110, }, 
	["Rolling Havoc"] = { class = "WARLOCK", level = 110, }, 
	["Shadow's Bite"] = { class = "WARLOCK", level = 110, }, 
	["Sudden Onset"] = { class = "WARLOCK", level = 110, }, 
	["Supreme Commander"] = { class = "WARLOCK", level = 110, }, 
	["Umbral Blaze"] = { class = "WARLOCK", level = 110, }, 
	["Wracking Brilliance"] = { class = "WARLOCK", level = 110, }, 
	["Baleful Invocation"] = { class = "WARLOCK", level = 110, },   --8.1	
	["Chaos Shards"] = { class = "WARLOCK", level = 110, },   --8.1	
	["Pandemic Invocation"] = { class = "WARLOCK", level = 110, },   --8.1		
	["Terror of the Mind"] = { class = "WARLOCK", level = 110, },   --8.1		
--++ Warlock Specializations ++	
	["Shadow Bolt"] = { class = "WARLOCK", level = 1, }, 
	["Corruption"] = { class = "WARLOCK", level = 3, }, 
	["Agony"] = { class = "WARLOCK", level = 10, }, 
	["Conflagrate"] = { class = "WARLOCK", level = 10, }, 
	["Hand of Gul'dan"] = { class = "WARLOCK", level = 10, }, 
--	["Immolate"] = { class = "WARLOCK", level = 10, }, 
	["Chaos Bolt"] = { class = "WARLOCK", level = 12, }, 
	["Summon Felguard"] = { class = "WARLOCK", level = 12, }, 
	["Drain Life"] = { class = "WARLOCK", level = 13, }, 
	["Backdraft"] = { class = "WARLOCK", level = 14, }, 
	["Call Dreadstalkers"] = { class = "WARLOCK", level = 14, }, 
	["Incinerate"] = { class = "WARLOCK", level = 14, }, 
	["Unstable Affliction"] = { class = "WARLOCK", level = 14, }, 
	["Demonbolt"] = { class = "WARLOCK", level = 22, }, 
	["Rain of Fire"] = { class = "WARLOCK", level = 26, }, 
	["Demonic Core"] = { class = "WARLOCK", level = 30, }, 
	["Seed of Corruption"] = { class = "WARLOCK", level = 38, }, 
	["Havoc"] = { class = "WARLOCK", level = 40, }, 
	["Implosion"] = { class = "WARLOCK", level = 46, }, 
	["Soul Link"] = { class = "WARLOCK", level = 52, }, 
	["Summon Darkglare"] = { class = "WARLOCK", level = 58, }, 
	["Summon Infernal"] = { class = "WARLOCK", level = 58, }, 
	["Shadowfury"] = { class = "WARLOCK", level = 60, }, 
	["Mastery: Chaotic Energies"] = { class = "WARLOCK", level = 78, }, 
	["Mastery: Master Demonologist"] = { class = "WARLOCK", level = 78, }, 
	["Mastery: Potent Afflictions"] = { class = "WARLOCK", level = 78, }, 
	["Summon Demonic Tyrant"] = { class = "WARLOCK", level = 80, }, 
--++ Warlock Talents ++	
	["Bilescourge Bombers"] = { class = "WARLOCK", level = 15, }, 
	["Deathbolt"] = { class = "WARLOCK", level = 15, }, 
	["Demonic Strength"] = { class = "WARLOCK", level = 15, }, 
	["Drain Soul"] = { class = "WARLOCK", level = 15, }, 
	["Dreadlash"] = { class = "WARLOCK", level = 15, }, 
	["Eradication"] = { class = "WARLOCK", level = 15, }, 
	["Flashover"] = { class = "WARLOCK", level = 15, }, 
	["Nightfall"] = { class = "WARLOCK", level = 15, }, 
	["Soul Fire"] = { class = "WARLOCK", level = 15, }, 
	["Absolute Corruption"] = { class = "WARLOCK", level = 30, }, 
	["Demonic Calling"] = { class = "WARLOCK", level = 30, }, 
	["Doom"] = { class = "WARLOCK", level = 30, }, 
	["Internal Combustion"] = { class = "WARLOCK", level = 30, }, 
	["Power Siphon"] = { class = "WARLOCK", level = 30, }, 
	["Reverse Entropy"] = { class = "WARLOCK", level = 30, }, 
	["Shadowburn"] = { class = "WARLOCK", level = 30, }, 
	["Writhe in Agony"] = { class = "WARLOCK", level = 30, }, 
	["Burning Rush"] = { class = "WARLOCK", level = 45, }, 
	["Dark Pact"] = { class = "WARLOCK", level = 45, }, 
	["Demon Skin"] = { class = "WARLOCK", level = 45, }, 
	["Cataclysm"] = { class = "WARLOCK", level = 60, }, 
	["Fire and Brimstone"] = { class = "WARLOCK", level = 60, }, 
	["From the Shadows"] = { class = "WARLOCK", level = 60, }, 
	["Inferno"] = { class = "WARLOCK", level = 60, }, 
	["Phantom Singularity"] = { class = "WARLOCK", level = 60, }, 
	["Soul Strike"] = { class = "WARLOCK", level = 60, }, 
	["Sow the Seeds"] = { class = "WARLOCK", level = 60, }, 
	["Summon Vilefiend"] = { class = "WARLOCK", level = 60, }, 
	["Vile Taint"] = { class = "WARLOCK", level = 60, }, 
	["Darkfury"] = { class = "WARLOCK", level = 75, }, 
	["Demonic Circle"] = { class = "WARLOCK", level = 75, }, 
	["Mortal Coil"] = { class = "WARLOCK", level = 75, }, 
	["Grimoire of Sacrifice"] = { class = "WARLOCK", level = 90, }, 
	["Grimoire of Supremacy"] = { class = "WARLOCK", level = 90, }, 
	["Grimoire: Felguard"] = { class = "WARLOCK", level = 90, }, 
	["Haunt"] = { class = "WARLOCK", level = 90, }, 
	["Inner Demons"] = { class = "WARLOCK", level = 90, }, 
	["Roaring Blaze"] = { class = "WARLOCK", level = 90, }, 
	["Channel Demonfire"] = { class = "WARLOCK", level = 100, }, 
	["Creeping Death"] = { class = "WARLOCK", level = 100, }, 
	["Dark Soul: Instability"] = { class = "WARLOCK", level = 100, }, 
	["Dark Soul: Misery"] = { class = "WARLOCK", level = 100, }, 
	["Demonic Consumption"] = { class = "WARLOCK", level = 100, }, 
	["Nether Portal"] = { class = "WARLOCK", level = 100, }, 
	["Sacrificed Souls"] = { class = "WARLOCK", level = 100, }, 
	["Soul Conduit"] = { class = "WARLOCK", level = 100, }, 
--++ Warlock PvP Talents ++	
	["Call Felhunter"] = { class = "WARLOCK", level = 40, }, 
	["Call Observer"] = { class = "WARLOCK", level = 40, }, 
	["Cremation"] = { class = "WARLOCK", level = 40, }, 
	["Curse of Fragility"] = { class = "WARLOCK", level = 40, }, 
	["Curse of Shadows"] = { class = "WARLOCK", level = 40, }, 
	["Curse of Tongues"] = { class = "WARLOCK", level = 40, }, 
	["Curse of Weakness"] = { class = "WARLOCK", level = 40, }, 
	["Endless Affliction"] = { class = "WARLOCK", level = 40, }, 
	["Entrenched in Flame"] = { class = "WARLOCK", level = 40, }, 
	["Essence Drain"] = { class = "WARLOCK", level = 40, }, 
	["Fel Fissure"] = { class = "WARLOCK", level = 40, }, 
	["Focused Chaos"] = { class = "WARLOCK", level = 40, }, 
	["Gateway Mastery"] = { class = "WARLOCK", level = 40, }, 
	["Master Summoner"] = { class = "WARLOCK", level = 40, }, 
	["Pleasure through Pain"] = { class = "WARLOCK", level = 40, }, 
	["Rot and Decay"] = { class = "WARLOCK", level = 40, }, 
	["Bane of Havoc"] = { class = "WARLOCK", level = 40, }, 
	["Casting Circle"] = { class = "WARLOCK", level = 40, }, 
	["Nether Ward"] = { class = "WARLOCK", level = 40, }, 
	["Singe Magic"] = { class = "WARLOCK", level = 40, }, 
	["Soulshatter"] = { class = "WARLOCK", level = 40, }, 
	["Call Fel Lord"] = { class = "WARLOCK", level = 40, }, 
	["Demon Armor"] = { class = "WARLOCK", level = 40, }, 	--8.1
--++ Warrior Abilities ++	
	["Attack"] = { class = "WARRIOR", level = 1, }, 
	["Charge"] = { class = "WARRIOR", level = 3, }, 
	["Taunt"] = { class = "WARRIOR", level = 13, }, 
	["Heroic Throw"] = { class = "WARRIOR", level = 17, }, 
	["Pummel"] = { class = "WARRIOR", level = 24, }, 
	["Heroic Leap"] = { class = "WARRIOR", level = 26, }, 
	["Battle Shout"] = { class = "WARRIOR", level = 42, }, 
--++ Warrior Artifact Traits ++
	["Neltharion's Fury"] = { class = "WARRIOR", level = 100, },
	["Odyn's Fury"] = { class = "WARRIOR", level = 100, },
	["Warbreaker"] = { class = "WARRIOR", level = 100, }, 
--++ Warrior Azerite Traits ++	
--	["Bloodcraze"] = { class = "WARRIOR", level = 110, },   --8.1
	["Bloodsport"] = { class = "WARRIOR", level = 110, }, 
	["Brace for Impact"] = { class = "WARRIOR", level = 110, }, 
	["Breach"] = { class = "WARRIOR", level = 110, }, 
	["Bury the Hatchet"] = { class = "WARRIOR", level = 110, }, 
	["Callous Reprisal"] = { class = "WARRIOR", level = 110, }, 
	["Crushing Assault"] = { class = "WARRIOR", level = 110, }, 
	["Deafening Crash"] = { class = "WARRIOR", level = 110, }, 
--	["Executioner's Precision"] = { class = "WARRIOR", level = 110, },   --8.1
--	["Gathering Storm"] = { class = "WARRIOR", level = 110, }, 
	["Infinite Fury"] = { class = "WARRIOR", level = 110, }, 
	["Iron Fortress"] = { class = "WARRIOR", level = 110, }, 
	["Lord of War"] = { class = "WARRIOR", level = 110, }, 
	["Moment of Glory"] = { class = "WARRIOR", level = 110, }, 
	["Pulverizing Blows"] = { class = "WARRIOR", level = 110, }, 
	["Reckless Flurry"] = { class = "WARRIOR", level = 110, }, 
--	["Reinforced Plating"] = { class = "WARRIOR", level = 110, },   --8.1
	["Seismic Wave"] = { class = "WARRIOR", level = 110, }, 
	["Simmering Rage"] = { class = "WARRIOR", level = 110, }, 
	["Test of Might"] = { class = "WARRIOR", level = 110, }, 
--	["Trample the Weak"] = { class = "WARRIOR", level = 110, },   --8.1
	["Bastion of Might"] = { class = "WARRIOR", level = 110, },   --8.1
	["Cold Steel, Hot Blood"] = { class = "WARRIOR", level = 110, },   --8.1
	["Intimidating Presence"] = { class = "WARRIOR", level = 110, },   --8.1	
	["Striking the Anvil"] = { class = "WARRIOR", level = 110, },   --8.1	
	["Unbridled Ferocity"] = { class = "WARRIOR", level = 110, },   --8.1	
--++ Warrior Specializations ++	
	["Seasoned Soldier"] = { class = "WARRIOR", level = 1, }, 
	["Slam"] = { class = "WARRIOR", level = 1, }, 
	["Vanguard"] = { class = "WARRIOR", level = 1, }, 
	["Victory Rush"] = { class = "WARRIOR", level = 5, }, 
	["Execute"] = { class = "WARRIOR", level = 8, }, 
	["Bloodthirst"] = { class = "WARRIOR", level = 10, }, 
	["Devastate"] = { class = "WARRIOR", level = 10, }, 
	["Mortal Strike"] = { class = "WARRIOR", level = 10, }, 
	["Shield Slam"] = { class = "WARRIOR", level = 10, }, 
	["Titan's Grip"] = { class = "WARRIOR", level = 10, }, 
	["Rampage"] = { class = "WARRIOR", level = 12, }, 
	["Rampage!"] = { class = "WARRIOR", level = 12, }, 
	["Enrage"] = { class = "WARRIOR", level = 14, }, 
	["Thunder Clap"] = { class = "WARRIOR", level = 14, }, 
	["Overpower"] = { class = "WARRIOR", level = 20, }, 
	["Raging Blow"] = { class = "WARRIOR", level = 20, }, 
	["Shield Block"] = { class = "WARRIOR", level = 20, }, 
	["Revenge"] = { class = "WARRIOR", level = 22, }, 
	["Sweeping Strikes"] = { class = "WARRIOR", level = 22, }, 
	["Intercept"] = { class = "WARRIOR", level = 28, }, 
	["Hamstring"] = { class = "WARRIOR", level = 32, }, 
	["Last Stand"] = { class = "WARRIOR", level = 32, }, 
	["Piercing Howl"] = { class = "WARRIOR", level = 32, }, 
	["Tactician"] = { class = "WARRIOR", level = 34, }, 
	["Die by the Sword"] = { class = "WARRIOR", level = 36, }, 
	["Enraged Regeneration"] = { class = "WARRIOR", level = 36, }, 
	["Ignore Pain"] = { class = "WARRIOR", level = 36, }, 
	["Whirlwind"] = { class = "WARRIOR", level = 40, }, 
	["Berserker Rage"] = { class = "WARRIOR", level = 44, }, 
	["Demoralizing Shout"] = { class = "WARRIOR", level = 48, }, 
	["Colossus Smash"] = { class = "WARRIOR", level = 50, }, 
	["Recklessness"] = { class = "WARRIOR", level = 50, }, 
	["Shockwave"] = { class = "WARRIOR", level = 50, }, 
	["Deep Wounds"] = { class = "WARRIOR", level = 55, }, 
	["Shield Wall"] = { class = "WARRIOR", level = 55, }, 
	["Bladestorm"] = { class = "WARRIOR", level = 65, }, 
	["Intimidating Shout"] = { class = "WARRIOR", level = 70, }, 
	["Spell Reflection"] = { class = "WARRIOR", level = 70, }, 
	["Mastery: Critical Block"] = { class = "WARRIOR", level = 78, }, 
	["Mastery: Deep Wounds"] = { class = "WARRIOR", level = 78, }, 
	["Mastery: Unshackled Fury"] = { class = "WARRIOR", level = 78, }, 
	["Rallying Cry"] = { class = "WARRIOR", level = 80, }, 
--++ Warrior Talents ++	
	["Endless Rage"] = { class = "WARRIOR", level = 15, }, 
	["Fresh Meat"] = { class = "WARRIOR", level = 15, }, 
	["Impending Victory"] = { class = "WARRIOR", level = 15, }, 
	["Into the Fray"] = { class = "WARRIOR", level = 15, }, 
	["Punish"] = { class = "WARRIOR", level = 15, }, 
	["Skullsplitter"] = { class = "WARRIOR", level = 15, }, 
	["Sudden Death"] = { class = "WARRIOR", level = 15, }, 
	["War Machine"] = { class = "WARRIOR", level = 15, }, 
	["Crackling Thunder"] = { class = "WARRIOR", level = 30, }, 
	["Double Time"] = { class = "WARRIOR", level = 30, }, 
	["Safeguard"] = { class = "WARRIOR", level = 30, }, 
	["Storm Bolt"] = { class = "WARRIOR", level = 30, }, 
	["Best Served Cold"] = { class = "WARRIOR", level = 45, }, 
	["Fervor of Battle"] = { class = "WARRIOR", level = 45, }, 
	["Furious Slash"] = { class = "WARRIOR", level = 45, }, 
	["Inner Rage"] = { class = "WARRIOR", level = 45, }, 
	["Massacre"] = { class = "WARRIOR", level = 45, }, 
	["Rend"] = { class = "WARRIOR", level = 45, }, 
	["Unstoppable Force"] = { class = "WARRIOR", level = 45, }, 
	["Bolster"] = { class = "WARRIOR", level = 60, }, 
	["Bounding Stride"] = { class = "WARRIOR", level = 60, }, 
	["Defensive Stance"] = { class = "WARRIOR", level = 60, }, 
	["Furious Charge"] = { class = "WARRIOR", level = 60, }, 
	["Indomitable"] = { class = "WARRIOR", level = 60, }, 
	["Never Surrender"] = { class = "WARRIOR", level = 60, }, 
	["Second Wind"] = { class = "WARRIOR", level = 60, }, 
	["Warpaint"] = { class = "WARRIOR", level = 60, }, 
	["Carnage"] = { class = "WARRIOR", level = 75, }, 
	["Cleave"] = { class = "WARRIOR", level = 75, }, 
	["Collateral Damage"] = { class = "WARRIOR", level = 75, }, 
	["Frothing Berserker"] = { class = "WARRIOR", level = 75, }, 
	["Menace"] = { class = "WARRIOR", level = 75, }, 
	["Rumbling Earth"] = { class = "WARRIOR", level = 75, }, 
	["Warbreaker"] = { class = "WARRIOR", level = 75, }, 
	["Avatar"] = { class = "WARRIOR", level = 90, }, 
	["Booming Voice"] = { class = "WARRIOR", level = 90, }, 
	["Deadly Calm"] = { class = "WARRIOR", level = 90, }, 
	["Devastator"] = { class = "WARRIOR", level = 90, }, 
	["Dragon Roar"] = { class = "WARRIOR", level = 90, }, 
	["In For The Kill"] = { class = "WARRIOR", level = 90, }, 
	["Meat Cleaver"] = { class = "WARRIOR", level = 90, }, 
	["Vengeance"] = { class = "WARRIOR", level = 90, }, 
	["Anger Management"] = { class = "WARRIOR", level = 100, }, 
	["Dreadnaught"] = { class = "WARRIOR", level = 100, }, 
	["Heavy Repercussions"] = { class = "WARRIOR", level = 100, }, 
	["Ravager"] = { class = "WARRIOR", level = 100, }, 
	["Reckless Abandon"] = { class = "WARRIOR", level = 100, }, 
	["Siegebreaker"] = { class = "WARRIOR", level = 100, }, 
--++ Warrior PvP Talents ++	
	["Barbarian"] = { class = "WARRIOR", level = 40, }, 
	["Battle Trance"] = { class = "WARRIOR", level = 40, }, 
	["Death Sentence"] = { class = "WARRIOR", level = 40, }, 
	["Duel"] = { class = "WARRIOR", level = 40, }, 
	["Enduring Rage"] = { class = "WARRIOR", level = 40, }, 
	["Leave No Man Behind"] = { class = "WARRIOR", level = 40, }, 
	["Master and Commander"] = { class = "WARRIOR", level = 40, }, 
	["Morale Killer"] = { class = "WARRIOR", level = 40, }, 
	["Oppressor"] = { class = "WARRIOR", level = 40, }, 
	["Ready for Battle"] = { class = "WARRIOR", level = 40, }, 
	["Shadow of the Colossus"] = { class = "WARRIOR", level = 40, }, 
	["Sharpen Blade"] = { class = "WARRIOR", level = 40, }, 
	["Slaughterhouse"] = { class = "WARRIOR", level = 40, }, 
	["Sword and Board"] = { class = "WARRIOR", level = 40, }, 
	["Thirst for Battle"] = { class = "WARRIOR", level = 40, }, 
	["Thunderstruck"] = { class = "WARRIOR", level = 40, }, 
	["Warpath"] = { class = "WARRIOR", level = 40, }, 
	["Bodyguard"] = { class = "WARRIOR", level = 40, }, 
	["Mass Spell Reflection"] = { class = "WARRIOR", level = 40, }, 
	["Storm of Destruction"] = { class = "WARRIOR", level = 40, }, 
	["Death Wish"] = { class = "WARRIOR", level = 40, }, 
	["Shield Bash"] = { class = "WARRIOR", level = 40, }, 
	["Disarm"] = { class = "WARRIOR", level = 40, }, 
	["Dragon Charge"] = { class = "WARRIOR", level = 40, }, 
	["War Banner"] = { class = "WARRIOR", level = 40, }, 
};]]--

Spy_IgnoreList = {
	["Mailbox"]=true, ["Shred Master Mk1"]=true, ["Scrap-O-Matic 1000"]=true,
	["Boat to Stormwind City"]=true, ["Boat to Boralus Harbor, Tiragarde Sound"]=true,
	["Treasure Chest"]=true, ["Small Treasure Chest"]=true,	
	["Akunda's Bite"]=true, ["Anchor Weed"]=true, ["Riverbud"]=true,    
	["Sea Stalk"]=true, ["Siren's Pollen"]=true, ["Star Moss"]=true,   
	["Winter's Kiss"]=true, ["War Headquarters (PvP)"]=true,
	["Alliance Assassin"]=true, ["Horde Assassin"]=true,	
	["Mystic Birdhat"]=true, ["Cousin Slowhands"]=true,	
};
